'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: c_opt.bas,v $
'*
'*  $Revision: 1.5 $
'*
'*  last change: $Author: pj $ $Date: 2005/04/28 16:08:52 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/***********************************************************************
'*
'* owner : peter.junge@Sun.COM
'*
'* short description : Test for correct functinality of Tools->Options->Spreadsheet properties
'*
'\***********************************************************************

Global enh as boolean
Global asian as boolean

sub main

dim bRunThisTest as boolean
    bRunThisTest = FALSE
dim guinan
    guinan = now()

   use "calc\options\inc\c_option.inc"
   use "calc\options\inc\coption1.inc"
   use "calc\options\inc\coption2.inc"
   use "calc\options\inc\coption3.inc"
   use "calc\options\inc\coption4.inc"
   use "calc\options\inc\coption5.inc"
   use "calc\options\inc\coption6.inc"
   use "calc\options\inc\coption7.inc"
   use "calc\options\inc\clocale.inc"

   asian = gAsianSup
       
   'Only run the test on english and german locales ...
   '... else exit the test
   select case iSystemSprache
      case 01 : bRunThisTest = TRUE
      case 49 : bRunThisTest = TRUE
      case else QAErrorLog "No adaption yet for system language: " & iSystemSprache : exit sub
   end select

   call hStatusIn("Calc", "c_opt.bas")

   call c_option ' Ckeck if all Tabpages are available
   call cOption1 ' Contents
   call cOption2 ' Layout
   call cOption3 ' Input
   call cOption4 ' Grid
   call cOption5 ' Sort List
   call cOption6 ' Calculate
   call cOption7 ' PrintOptions
   'TODO: cLocale needs redesign
   call cLocale  ' Located Contents as Date, Time, Number, boolean values
   
   sleep (2)

   Call hStatusOut
   
   PrintLog "End of the Calc Optiontest:"
   PrintLog "Date: " &  Date & "    Time: " & Time & " Duration: "  & wielange(guinan)
   
   'Due to unresolved issues with following tests we better remove gOfficePath
   'call subRemove_gOfficePath

end sub

sub LoadIncludeFiles

        use "global\system\inc\master.inc"
        use "global\system\inc\gvariabl.inc"
        use "global\tools\inc\t_option.inc"
        use "calc\tools\c_tool.inc"
        use "calc\tools\c_tool_1.inc"
        use "calc\options\inc\coption_tools.inc"

        Call GetUseFiles
        gApplication = "Calc"

end sub

sub subRemove_gOfficePath

   'Exiting the office
   FileExit "SynchronMode", TRUE
   try
       Kontext "Active"
       if Active.Exists(2) then
           Active.No
       endif
   catch
   endcatch
   sleep(60)

   'Removing gOfficePath
   kill gOfficePath
   sleep(15)
   'Lookup if removing was successful
   if Dir (gOfficePath, 16) <> "" then
       qaErrorLog "Moving " & gOfficePath & " to trash failed"
   else
       printlog "Removed '" & gOfficePath & "' successfully"
   endif
   'Starting office again
   call hStartTheOffice
   
end sub

