'encoding UTF-8  Do not remove or change this line!
'*******************************************************************************
'*
'*  $RCSfile: f_basic_formcontrols.bas,v $
'*
'*  $Revision: 1.8 $
'*
'*  last change: $Author: jsk $ $Date: 2005/07/26 11:24:47 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/******************************************************************************
'*
'*  owner : joerg.skottke@sun.com
'*
'*  short description : Form controls in BASIC-IDE dialogs
'*
'\******************************************************************************

sub main

    use "framework\basic\inc\f_basic_formcontrols.inc"

    use "framework\tools\inc\treelist_tools.inc"    
    use "framework\tools\inc\basicide_tools.inc"
    use "framework\tools\inc\security_tools.inc"
    use "framework\tools\inc\docfuncs.inc"
    use "framework\tools\inc\filetools.inc"
    use "framework\tools\inc\formcontrols.inc"
    use "framework\tools\inc\basicorganizer_tools.inc"
    use "framework\tools\inc\pbrowser_tools.inc"

    call hStatusIn( "framework" , "f_basic_formcontrols.bas" )
    
    ' set macro security to low
    hSetMacroSecurity( 0 )
    
    ' The Basic-Formcontrols can be stored in 3 different formats. Note that
    ' src569 (StarOffice 5.2) is not supported anymore. 645 and 641 are
    ' identical, so we test 680 and 645 only.
    
    printlog( "" )
    printlog( "OpenOffice.org 2.x" )
    call tAllControlsOnDialog( "680" )     ' OpenOffice.org 2.X

    printlog( "" )
    printlog( "OpenOffice.org 1.x" )
    call tAllControlsOnDialog( "645" )     ' OpenOffice.org 1.X  
    
    ' set macro security to medium (which is the default)
    hSetMacroSecurity( 1 )

    call hStatusOut()

end sub

'-------------------------------------------------------------------------

sub LoadIncludeFiles

    use "global\system\inc\master.inc"
    use "global\system\inc\gvariabl.inc"
    gApplication = "WRITER"
    call GetUseFiles()

end sub

'-------------------------------------------------------------------------
