'encoding UTF-8  Do not remove or change this line!
'*******************************************************************************
'*
'*  $RCSfile: inst_3.inc,v $
'*
'*  $Revision: 1.8 $
'*
'*  last change: $Author: jsk $ $Date: 2005/05/17 12:17:12 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*    - GNU Lesser General Public License Version 2.1
'*    - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/******************************************************************************
'*
'* owner : joerg.skottke@sun.com
'*
'* short description : Installation Test (check all extras)
'*
'*******************************************************************************
'**
' #1 tCheck_CustomQuotes ' check custom quotes ( dopple and single depends on language )
' #0 tWoerterbuecher     ' check special entries in wordbooks ( old )
' **
'\******************************************************************************

testcase tCheck_CustomQuotes
    Dim Vorn$ : Dim Hinten$ : Dim Normal$ : Dim Wert$
    Dim bCheck as Boolean
    gApplication = "WRITER"
    '///<h1>There exist defaults for custom quotes in different languages</h1>
    '///<ul>
    '///<li>this test will check the default settings at replacement for double and single quotes</li>
    ' definition of the correct characters for the double quotes

    select case iSprache
    case 01 : Normal$ = Chr(34) : Vorn$ = Chr(147) : Hinten$ = Chr(148) : bCheck = FALSE
    case 03 : Normal$ = Chr(34) : Vorn$ = Chr(147) : Hinten$ = Chr(148) : bCheck = TRUE
    case 07 : Normal$ = Chr(34) : Vorn$ = Chr(148) : Hinten$ = Chr(148) : bCheck = TRUE
    case 31 : Normal$ = Chr(34) : Vorn$ = Chr(147) : Hinten$ = Chr(148) : bCheck = TRUE
    case 33 : Normal$ = Chr(34) : Vorn$ = Chr(171) : Hinten$ = Chr(187) : bCheck = TRUE
    case 34 : Normal$ = Chr(34) : Vorn$ = Chr(147) : Hinten$ = Chr(148) : bCheck = TRUE
    case 39 : Normal$ = Chr(34) : Vorn$ = Chr(147) : Hinten$ = Chr(148) : bCheck = TRUE
    case 45 : Normal$ = Chr(34) : Vorn$ = Chr(148) : Hinten$ = Chr(148) : bCheck = TRUE
    case 46 : Normal$ = Chr(34) : Vorn$ = Chr(148) : Hinten$ = Chr(148) : bCheck = TRUE
    case 48 : Normal$ = Chr(34) : Vorn$ = Chr(148) : Hinten$ = Chr(148) : bCheck = TRUE
    case 49 : Normal$ = Chr(34) : Vorn$ = Chr(132) : Hinten$ = Chr(147) : bCheck = TRUE
    end select

    '///open a new writer-document
    '///<li>open tools - autocorrect/autoformat and select the tabpage 'custom quotes'</li>
    Call hNewDocument
    ToolsAutocorrect

    kontext
    active.SetPage TabTypografisch

    kontext "tabtypografisch"
    '///<li>singles quotes must be unchecked => default in all languages</li>
    Printlog "- single quotes"
    if EinfacheErsetzen.IsChecked then
        Warnlog "The checkbox for activating single quotes are checked => BUG.!"
    endif
    '///<li>double quotes</li>
    Printlog "- double quotes"

    if ( bCheck = TRUE AND DoppelteErsetzen.IsChecked = FALSE) OR ( bCheck = FALSE AND DoppelteErsetzen.IsChecked ) then
        if bCheck = TRUE  then
            Warnlog "'Replace' is not checked, but it should be checked in the tested language! => BUG"
        endif
        if bCheck = FALSE then
            Warnlog "'Replace' is checked, but it should be not checked in the tested language! => BUG"
        endif
    endif

    DoppelteErsetzen.Check
    TabTypografisch.OK
    '///<li>check 'replace' for double quotes and close the dialog with OK</li>
    '///<li>type a sentence with double quotes</li>
    '///<li>the quotes must be replaced automatically if you write the starting and the ending quotes</li>
    '///<li>check if the correct characters are used for the replacement</li>

    kontext "documentwriter"
    DocumentWriter.TypeKeys ( Normal$ )
    sleep( 1 )
    DocumentWriter.TypeKeys ( "Hallo" + Normal$ + " " )
    sleep( 1 )
    DocumentWriter.TypeKeys "<Home><Shift Right>"
    sleep( 1 )
    SetClipboard ""
    Sleep (1)
    EditCopy
    sleep (1)
    if gPlatgroup = "unx" then
        Warnlog "The following warnings are a bug in the clipboard between StarOffice and Testtool!"
    endif
    Wert$ = GetClipboardText

    if Wert$ <> "" then
        if Wert$ <> Vorn$ then
            Warnlog "The signe at the begin is wrong. Should :  Chr(" + Asc(Vorn$) + ")   Is : Chr(" + Asc ( GetClipboardText ) + ")"
        endif
    else
        Warnlog "The Cliboard is emtpy, please check, if the right signe is inserted!"
    endif

    DocumentWriter.TypeKeys "<End><Left><Shift Left>"
    sleep( 1 )
    SetClipboard ""
    Sleep (1)
    EditCopy
    sleep (1)
    Wert$ = GetClipboardText

    if Wert$ <> "" then
        if Wert$ <> Hinten$ then
            Warnlog "The signe on the end was wrong. should :  Chr("+ Asc(Hinten$) +")   Is : Chr(" + Asc ( GetClipboardText ) + ")"
        endif
    else
        Warnlog "The clipboard is emtpy, please check, if the right signe is inserted!"
    endif

    DocumentWriter.TypeKeys "<Home><Shift End><Delete>"
    '///<li>if the default was unchecked, the test uncheck double quotes</li>

    if bCheck = FALSE then
        ToolsAutocorrect

        kontext
        active.SetPage TabTypografisch

        kontext "tabtypografisch"
        DoppelteErsetzen.UnCheck
        TabTypografisch.OK
    endif

    call hCloseDocument()
    
    '///</ul>
endcase

'*******************************************************************************

testcase tWoerterbuecher
    Dim Wort1 as String, Wort2 as String, sLan as String
    Dim F1 as Boolean, F2 as Boolean, F3 as Boolean, F4 as Boolean
    Dim wbuch ( 5 ) as String
    Dim i as Integer
    gApplication = "WRITER"
    printlog " - Pruefung, ob Rechtschreibung ueberhaupt funktioniert"
    Call hNewDocument

    kontext "documentwriter"
    DocumentWriter.TypeKeys "Hirolamata <Shift Home>"
    ToolsSpellcheckCheckWriter

    kontext "rechtschreibung"
    Rechtschreibung.Close
    Call hCloseDocument
    ToolsOptions
    hExtrasOptionen ( "General", "WritingAids" )
    printlog " - Anzahl der installierten Woerterbuecher ermitteln und vergleichen."
    If SprachmoduleBearbeiten.IsEnabled then
        SprachmoduleBearbeiten.Click
    endif

    kontext "modulebearbeiten"
    Benutzerwoerterbuch.Select 1
    Bearbeiten.Click

    kontext "benutzerwoerterbuchbearbeiten"
    if Buch.GetItemCount <> 3 then
        Warnlog "Es sind nicht 3 Woerterbuecher installiert worden, sondern " + Buch.GetItemCount
    endif
    printlog " - die Woerterbuchsprache muss auf 'alle' stehen"
    sLan = Sprache.GetSelText

    select case iSprache
    case 01   : if sLan <> "All" then Warnlog "In Englischen steht das Sprach-Feld nicht auf 'All'! -> ist '" + sLan + "'"
    case 03   : if sLan <> "Todas" then Warnlog "In Portugiesisch steht das Sprach-Feld nicht auf 'Todas'! -> ist '" + sLan + "'"
    case 31   : if sLan <> "Alle" then Warnlog "In Niederlaendisch steht das Sprach-Feld nicht auf 'Alle'! -> ist '" + sLan + "'"
    case 33   : if sLan <> "Tous" then Warnlog "In Franzoesisch steht das Sprach-Feld nicht auf 'Tous'! -> ist '" + sLan + "'"
    case 34   : if sLan <> "Todo" then Warnlog "In Spanisch steht das Sprach-Feld nicht auf 'Todo'! -> ist '" + sLan + "'"
    case 39   : if sLan <> "Tutte" then Warnlog "In Italienisch steht das Sprach-Feld nicht auf 'Tutte'! -> ist '" + sLan + "'"
    case 45   : if sLan <> "Alle" then Warnlog "In Daenisch steht das Sprach-Feld nicht auf 'Alle'! -> ist '" + sLan + "'"
    case 46   : if sLan <> "Alla" then Warnlog "In Italienisch steht das Sprach-Feld nicht auf 'Alla'! -> ist '" + sLan + "'"
    case 49   : if sLan <> "Alle" then Warnlog "In Deutsch steht das Sprache-Feld nicht auf 'Alle'! -> ist '" + sLan + "'"
    case else : Warnlog "Der Spracheintrag in der Sprache "+ gLanguage + " muss noch aufgenommen werden, er ist '" + sLan + "'"
    end select

    printlog " - 2 sprachabhaengige Eintraege in dem 'StarOffice'-Woerterbuch suchen."

    select case iSprache
    case 01   : Wort1 = "deinstall" : Wort2 = "HighEnd"
    case 03   : Wort1 = "Euro" : Wort2 = "Campari"
    case 31   : Wort1 = "Euro" : Wort2 = "Campari"
    case 33   : Wort1 = "Euro" : Wort2 = "Campari"
    case 34   : Wort1 = "Euro" : Wort2 = "Campari"
    case 39   : Wort1 = "Euro" : Wort2 = "Campari"
    case 45   : Wort1 = "Euro" : Wort2 = "Campari"
    case 46   : Wort1 = "Serversided" : Wort2 = "Campari"
    case 49   : Wort1 = "Registerhaltigkeit" : Wort2 = "schwarzvernickelt"
    case else : Wort1 = "CSS" : Wort2 = "Boerries"
        Warnlog "Bitte Woerter aus dem StarOffice-Woerterbuch aufnehmen!"
    end select

    F1 = TRUE : F2 = TRUE : F3 = TRUE : F4 = TRUE

    for i=1 to 2
        Buch.Select i
        sleep( 1 )
        wbuch (i) = Buch.GetSelText
        Inhalt.SetText Wort1
        sleep( 1 )
        if NOT Loeschen.IsEnabled AND i=1 then
            F1 = FALSE
        endif
        if NOT Loeschen.IsEnabled AND i=2 then
            F2 = FALSE
        endif
        Inhalt.SetText Wort2
        sleep( 1 )
        if NOT Loeschen.IsEnabled AND i=1 then
            F3 = FALSE
        endif
        if NOT Loeschen.IsEnabled AND i=2 then
            F4 = FALSE
        endif
    next i


    if F1 = TRUE OR F3 = TRUE then
        printlog "   Die Texte stehen im Woerterbuch " + wBuch ( 1 )
        if F1 = FALSE then
            Warnlog Wort1 + " wurde nicht gefunden!"
        endif
        if F3 = FALSE then
            Warnlog Wort2 + " wurde nicht gefunden!"
        endif
    else

        if F2 = TRUE OR F4 = TRUE then
            if F2 = FALSE then
                Warnlog Wort1 + " wurde nicht gefunden!"
            endif
            if F4 = FALSE then
                Warnlog Wort2 + " wurde nicht gefunden!"
            endif
        else
            Warnlog "Keines der Worte ( " + Wort1 + " " + Wort2 + " ) steht in den Woerterbuechern!"
        endif

    endif

    BenutzerwoerterbuchBearbeiten.Close

    kontext "modulebearbeiten"
    ModuleBearbeiten.Close

    kontext "optionendlg"
    OptionenDlg.Cancel
endcase

'*******************************************************************************
