'encoding UTF-8  Do not remove or change this line!
'*******************************************************************************
'*
'*  $RCSfile: debug_helpers.inc,v $
'*
'*  $Revision: 1.1 $
'*
'*  last change: $Author: jsk $ $Date: 2004/03/09 15:07:16 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/******************************************************************************
'*
'* owner : joerg.skottke@sun.com
'*
'* short description :
'*
'*******************************************************************************
' **
' #1 debughelpers
' **
'\******************************************************************************

function listprint( aList() as string , comment as string ) as integer

   dim i as integer

   printlog("")
   printlog( " * " & comment )

   for i = 1 to listcount( aList() )

      printlog( "   * " & aList( i )

   next i
   printlog("")

   listprint() = i

end function

'*******************************************************************************

function firstDocExists() as boolean

   dim idString as string

   Kontext "DocumentWriter"
   DocumentWriter.TypeKeys( "<MOD1 HOME>" ) ' beginning of doc
   DocumentWriter.TypeKeys( "<SHIFT END>" ) ' select string

   idString = DocumentWriter.getSelText()

   if ( instr( idString , "The first doc!" ) <> 0 ) then
      firstDocExists() = true
   else
      firstDocExists() = false
   endif

end function

'*******************************************************************************

function closeActive() as integer

   dim iCount as integer

   iCount = 0

   Kontext "Active"
   do while ( Active.exists( 1 ) = true )

      iCount = iCount + 1

      if ( iCount > 1 ) then
         warnlog( "More than one active open. Trying to close it" )
      endif

      try
         Active.Yes()
      catch
         Active.cancel()
      endcatch

      Kontext "Active"

   loop

   closeActive() = iCount

end function
