'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: f_updt_templates.bas,v $
'*
'*  $Revision: 1.3 $
'*
'*  last change: $Author: jsk $ $Date: 2004/11/23 13:12:53 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/***********************************************************************
'*
'* owner : joerg.skottke@sun.com
'*
'* short description : Update/resource-test for templates
'*
'\***********************************************************************


sub main

   use "framework\tools\inc\datafile.inc"
   use "framework\update\inc\global_3.inc"
   use "framework\tools\inc\extras_tools.inc"
   use "framework\update\inc\f_updt_namescheck.inc"

   call hStatusIn( "framework", "f_updt_templates.bas", "Update/resource-test for templates" )

   ' delete files that might exist in "user\templates"
   hWipeDirContent( gOfficePath + "user\template" )

   ' update-test for templates+documents-dialog
   call tTemplate_DialogTest()

   ' look for new documenttypes (writer, calc etc.)
   call tNamesCheck( "NEWDOCUMENTS" )
   
   ' look for templates
   call tNamesCheck( "TEMPLATES" )
   
   ' look for samples
   call tNamesCheck( "SAMPLES" )
   
   ' delete files that might exist in "user\templates"
   hWipeDirContent( gOfficePath + "user\template" )

   call hStatusOut()

end sub

'-------------------------------------------------------------------------

sub LoadIncludeFiles
   use "global\system\inc\master.inc"
   use "global\system\inc\gvariabl.inc"
   use "framework\tools\inc\docfuncs.inc"
   gApplication = "WRITER"
   call GetUseFiles
end sub

'-------------------------------------------------------------------------

' Note: To automate testing of templates in OOo, please do following:
' 1. delete all files that are listed in
'
'     .../framework/update/input/templdoc/*.txt
'
' 2. remove the if...endif statement around tTemplate_NamesCheck()
' 3. run the test, you'll get countless warnings
' 4. check if the template-lists have been created in
'
'     .../framework/update/input/templdoc/
'
' 5. Manually check if all templates are listed and correct
' 6. Next time you run the test the templates will be compared to these lists
'
' A separate file will be created for each language the tests are run for.
