'encoding UTF-8  Do not remove or change this line!
'*******************************************************************************
'*
'*  $RCSfile: f_updt_mailmerge.inc,v $
'*
'*  $Revision: 1.3 $
'*
'*  last change: $Author: jsk $ $Date: 2005/04/14 13:57:41 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/******************************************************************************
'*
'*  owner : joerg.skottke@sun.com
'*
'*  short description : Update test for the mailmerge wizard
'*
'*******************************************************************************
'**
' #1 tUpdtMailmerge ' Mailmerge Wizard
'**
'\******************************************************************************

testcase tUpdtMailmerge

    dim rc as integer
    rc = 0 

    '///<H1>Mailmerge Wizard</H1>
    '///<ul>
    
    '///<li>Open the Mailmerge-Wizard</li>
    printlog( "Open the Mailmerge-Wizard" )
    ToolsMailMergeWizard
    sleep( 5 )
    
    '///<li>Work with the first page</li>
    printlog( "" )
    printlog( "The wizard should be open now" )
    Kontext "MailMergeWizard"
    call dialogtest( MailMergeWizard )

    hWaitForWizard( 1 )
    hUpdtMMWpage1()
    
    rc = hClickNextButton()
    if ( rc <> 0 ) then
        hCancelWizard()
        goto endsub
    endif
    
    hWaitForWizard( 2 )
    hUpdtMMWpage2()
    
    rc = hClickNextButton()
    if ( rc <> 0 ) then
        hCancelWizard()
        goto endsub
    endif
    
    hWaitForWizard( 3 )
	hUpdtMMWpage3()
    
    rc = hClickNextButton()
    if ( rc <> 0 ) then
        hCancelWizard()
        goto endsub
    endif
    
    rc = hClickNextButton()
    if ( rc <> 0 ) then
        hCancelWizard()
        goto endsub
    endif

    rc = hClickNextButton()
    if ( rc <> 0 ) then
        hCancelWizard()
        goto endsub
    endif
    
    
    '///<li>close the wizard</li>
    printlog( "close the wizard" )
    Kontext "MailMergeWizard"
    'MailMergeWizard.ok()

    
    '///</ul>
    

endcase

'**********************************************************************

function hUpdtMMWpage1( )

    printlog( " ** First page ** " )
    Kontext "TabMailMergeWizard1"
    call dialogtest( TabMailMergeWizard1 )
    
    printlog( "Open File-Open dialog <Browse Document>" )
    BrowseDocument.click()
    sleep( 1 )
    
    Kontext "OeffnenDlg"
    call dialogtest( OeffnenDlg )
    OeffnenDlg.cancel()
    sleep( 1 )
   
    printlog( "Open File-Open dialog <Browse Templates>" ) 
    Kontext "TabMailMergeWizard1"
    BrowseTemplate.click()
    sleep( 1 )
    
    Kontext "Neu"
    call dialogtest( Neu )
    Neu.cancel()
    sleep( 3 )
    
    printlog( "Select <Create a new document>" )
    kontext "TabMailMergeWizard1"
    CreateANewDocument.check()
    
end function

'**********************************************************************

function hUpdtMMWpage2()

    printlog( " ** Second page ** " )
    Kontext "TabMailMergeWizard2"
    call dialogtest( TabMailMergeWizard2 )
    
    printlog( "Select to create a letter" )
    Letter.check()
    
end function   

'**********************************************************************

function hUpdtMMWpage3()

    dim cDatabase as string
    cDatabase = gTesttoolpath & "framework\tools\input\mailmerge_data.odb"
    cDatabase = convertpath( cDatabase )
    
    dim rc as integer

    printlog( " ** Third page ** " )
    Kontext "TabMailMergeWizard3"
    call dialogtest( TabMailMergeWizard3 )
    
	
	rc = hUseAddressListDialog( cDatabase )
	

	
end function

'*******************************************************************************

function hUpdtMMWpage4()

   

end function

'******************************************************************************

function hWaitForWizard( iPage as integer ) as boolean
   
   dim iTries as integer
   dim bOpen as boolean
       bOpen = false
   
   for iTries = 1 to 10 
   
       try 
	       select case iPage
    	   case 1 : kontext "TabMailMergeWizard1"
        	        if ( TabMailMergeWizard1.exists() ) then bOpen = true
	       case 2 : kontext "TabMailMergeWizard2"
    	            if ( TabMailMergeWizard2.exists() ) then bOpen = true
	       case 3 : kontext "TabMailMergeWizard3"
    	            if ( TabMailMergeWizard3.exists() ) then bOpen = true
	       case 4 : kontext "TabMailMergeWizard4"
    	            if ( TabMailMergeWizard4.exists() ) then bOpen = true
	       case 5 : kontext "TabMailMergeWizard5"                            
    	            if ( TabMailMergeWizard5.exists() ) then bOpen = true
	       case 6 : kontext "TabMailMergeWizard6"
    	            if ( TabMailMergeWizard6.exists() ) then bOpen = true
	       case 7 : kontext "TabMailMergeWizard7"
    	            if ( TabMailMergeWizard7.exists() ) then bOpen = true
	       case 8 : kontext "TabMailMergeWizard8"       
    	            if ( TabMailMergeWizard8.exists() ) then bOpen = true
	       end select
	       
	       printlog( "The Tabpage appears to be available" )
	       iTries = 11
	       
	   catch
	       printlog( " - Wait another second ..." )
	       sleep( 1 )
	   endcatch

       
   next iTries
   
   select case iPage
   case 1 : kontext "TabMailMergeWizard1"
   case 2 : kontext "TabMailMergeWizard2"
   case 3 : kontext "TabMailMergeWizard3"
   case 4 : kontext "TabMailMergeWizard4"
   case 5 : kontext "TabMailMergeWizard5"                            
   case 6 : kontext "TabMailMergeWizard6"
   case 7 : kontext "TabMailMergeWizard7"
   case 8 : kontext "TabMailMergeWizard8"       
   end select   
   
   
   hWaitForWizard() = bOpen

end function

'**************************************************************************

function hUseAddresslistDialog( cDatabase as string ) as integer

    dim rc as integer
    rc = 0

    try
    
		printlog( "Select Address-List" )
		SelectAddressList.click()
		sleep( 1 )
	
		Kontext "SelectAddressList"
		call dialogtest( SelectAddressList )
		
    catch
        warnlog( "Could not access Page 3::Select address list" )
        rc = -1
    endcatch
    
    if ( rc = 0 ) then
	    Kontext "SelectAddressList"
	    
	    ' make sure we have two databases to choose from
	    while ( AdressList.getItemCount() < 2 )
	    	hAddDatabase( cDatabase )
	    	Kontext "SelectAddressList"
	    wend

		Kontext "SelectAddressList"
	    hCreateAddressList()
	
		Kontext "SelectAddressList" 
	    hFilterDialog()
	endif
	
	
    
    if ( rc = 0 ) then
        Kontext "SelectAddressList"
        AdressList.select( 2 )
        
		printlog( "Return to the Wizard" )
		kontext "SelectAddressList"
		SelectAddressList.ok()	    
    endif

end function

'****************************************************************************

function hAddDatabase( cDatabase as string ) as integer

    dim rc as integer
    rc = 0
    
    try
    
		printlog( "Add..." )
		add.click()
		sleep( 1 )
	
		Kontext "OeffnenDlg"
		call dialogtest( OeffnenDlg )
	
    catch
    
        warnlog( "Could not access Page 3::Select address list::" & _
                 "Add..." )
        rc = -1
        
    endcatch
           
                 
    if ( rc = 0 ) then
	    if ( cDatabase <> "" ) then
			DateiName.setText( cDatabase )
		    printlog( "Open file and Return to <Select Address List>" )
			Oeffnen.click()
	    else
	        printlog( "Return to <Select Address List> by cancel" )
	        OeffnenDlg.cancel()
	    endif
    endif    	
    
end function

'******************************************************************************

function hCreateAddressList() as integer

    dim rc as integer
    rc = 0
    
    try

		printlog( "Create" )
		create.click()
		sleep( 1 )
	
		Kontext "NewAddressList"
		call dialogtest( NewAddressList )
	
	catch
	
	    warnlog( "Could not access Pgae 3::Select address list::" & _
	             "Create addresslist" )
	    rc = -1
	    
	endcatch

    ' Try to use the Find-dialog, do not evaluate the returncode,
    ' the test should continue even if the dialog does not come up.
    if ( rc = 0 ) then
	   	hFindDialog()
	   	Kontext "NewAddressList"
    endif
    
    ' Try to use the Customize-dialog, don't evaluate the rc either
    if ( rc = 0 ) then
	  	hCustomizeAddressList()
	  	kontext "NewAddressList"
	endif
	
	' Return to "NewAddressList" (only if the "Create" dialog was opened 
	' successfully)
	if ( rc = 0 ) then
		printlog( "Return to <Select Address List>" )	
		NewAddressList.cancel()
		sleep( 1 )
	endif
	
end function

'****************************************************************************

function hFindDialog() as integer

    ' This dialog does not have any children, so all actions here are
    ' encapsulated in a try ... catch block. The function returns -1
    ' in case anything went wrong, we should end up on the 

    dim rc as integer
    rc = 0

    try

		printlog( "Find..." )
		find.click()
		sleep( 1 )
	
		kontext "FindEntry"
		call dialogtest( FindEntry )
	
	catch
	
	    warnlog( "Could not access page 3::Select Address list::" & _
	             "New Address List::Find..." )
	             
	    rc = -1
	    
	endcatch
	
	if ( rc = 0 ) then
		printlog( "Return to <New Address List>" )
		FindEntry.cancel()
		sleep( 1 )
    endif		
	
	hFindDialog() = rc
	
end function

'******************************************************************************

function hCustomizeAddressList() as integer

    dim rc as integer
    rc = 0

    try 
    
		printlog( "Open Customize-dialog" )
		Kontext "NewAddressList"
		Customize.click()
		sleep( 1 )
	
		kontext "CustomizeAddressList" 
		call dialogtest( CustomizeAddressList )
		
		rc = hAddElement( "" )
		
    catch
    
        warnlog( "Could no access page 3::Select address list::" & _
                 "NewAddressList::Customize..." )
        rc = -1
        
    endcatch
    
    ' if the dialog was opened successfully, try to add a new element
    ' do not evaluate the outcome, the test should continue with a 
    ' warning

    ' leave the dialog but only if it was handled ok before, otherwise
    ' the context will be on the parent dialog.
    if ( rc = 0 ) then
		printlog( "Return to <New Addresslist>" )
		kontext "CustomizeAddressList"
		CustomizeAddressList.cancel()
		sleep( 1 )
    endif    
	
	hCustomizeAddressList() = rc
	
end function

'************************************************************************************

function hAddElement( cElementName as string ) as integer

    dim rc as integer
    rc = 0

    try 
    
		printlog( "Add..." )
		Add.click()
		sleep( 1 )
	
		Kontext "RenameElement"
		call Dialogtest( RenameElement )
		
		if ( cElementName <> "" ) then
		    FieldTitle.setText( cElementName )
		endif
		
		printlog( "Return to <Customize Address List>" )
		RenameElement.cancel()
		sleep( 1 )

	catch
	
	    warnlog( "Could not access page3 3::Select address list::" & _
	             "NewAddressList::Customize::Add..." )
	    rc = -1
	    
	endcatch
        	
	hAddElement() = rc
	
end function

'**************************************************************************

function hFilterDialog() as integer

    dim rc as integer
    rc = 0 

    try
    
		printlog( "Open the Filter-Dialog" )
		Filter.click()
		sleep( 1 )
	
		kontext "FilterDialog"
		call Dialogtest( FilterDialog )
	
		printlog( "Return to <Select Address List>" )
		FilterDialog.cancel()

    catch
        warnlog( "Could not access Page 3::Select address list::" & _
                 "Filter..." )
        rc = -1
    endcatch
  
end function

'****************************************************************************

function hClickNextButton() as integer

    ' This function tries to click the next button on the mailmergewizard
    ' It returns -1 in case of failure, 0 at success

    dim rc as integer
    rc = 0

    Kontext "MailMergeWizard"
    
    if ( NextPage.isEnabled() ) then
	    try
    		NextPage.click()
    	catch
        	warnlog( "Unable to click the 'Next >>' button" )
        	rc = -1
    	endcatch
    else
        rc = -1 
    endif
    
    hClickNextButton() = rc
            
end function

'*******************************************************************************

function hCancelWizard() as integer

    dim rc as integer
    rc = 0

    Kontext "MailMergeWizard"
    
    try
   		cancel.click()
   	catch
       	warnlog( "Unable to click the 'Cancel' button, trying to recover" )
       	rc = -1
       	call exitRestartTheOffice
   	endcatch
    
    hCancelWizard() = rc
    
end function       
