'*************************************************************************
'*
'*  $RCSfile: autopilo.inc,v $
'*
'*  $Revision: 1.4 $
'*
'*  last change: $Author: msc $ $Date: 2004/05/28 08:48:37 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/*****************************************************************
'*
'* owner : joerg.sievers@sun.com
'*
'* short description : General update-/resource-test for all Autopilots
'*
'******************************************************************
'*
' #1 tFileAutopilotLetter               'Letter Autopilot
' #1 tFileAutopilotFax                  'Fax Autopilot
' #1 tFileAutopilotAgenda               'Agenda Autopilot
' #1 tFileAutopilotMemo                 'Memo Autopilot
' #1 tFileAutopilotPresentation         'Presentation Autopilot
' #1 tFileAutopilotWebPage              'Webpage Autopilot
' #1 tFileAutopilotDocumentConverter    'Document converter Autopilot
' #1 tFileAutopilotEuroConverter        'Euro converter Autopilot
'*
'\*****************************************************************

sub tAllAutopilots

 printlog " - - - - - - - AutoPilots - - - - -"

   Call tFileAutopilotLetter
   Call tFileAutopilotFax
   Call tFileAutopilotAgenda
   Call tFileAutopilotMemo

   Call tFileAutopilotPresentation
   Call tFileAutopilotWebPage

   Call tFileAutopilotDocumentConverter
   Call tFileAutopilotEuroConverter

end sub

'-----------------------------------------------------------

testcase tFileAutopilotLetter
'Author: TZ   
    printlog "  * File Autopilot Letter"
    if gApplication <> "DESKTOP" then 
        Call hNewDocument
    end if
    '/// Calling File -> Autopilot -> Letter
    FileAutopilotLetter
    '/// If a message box (warning) appears end the work on this test.
    Kontext "Active"
    if Active.Exists (1) then
        warnlog Active.GetText
        try
            Active.OK
        catch
            Active.No
        endcatch
        Goto endsub                                   
    end if
    '/// Normaly the first page of the Autopilot will appear.
    Kontext "AutopilotBrief1"
        printlog "- 1st page"
        Call DialogTest ( AutopilotBrief1 )
        '/// Check 'Business letter'
        Geschaeftsbrief.Check
        '/// Check 'Modern'
        Modern.Check        
        '/// Click on 'Next'
        Weiter.Click
    Kontext "AutopilotBrief2"
        printlog "- 2nd page"
        Call DialogTest ( AutopilotBrief2 )
        '/// Check 'Graphics' on the 2nd page.
        Grafik.Check
        '/// Click on 'Select Graphics...' button
        Grafikauswahl.Click
    Kontext "GrafikEinfuegenDlg"
        Call DialogTest(GrafikEinfuegenDlg)
        '/// 'Select logo'-dialog (an open dialog) appears.
        printlog "    insert graphic"
        '/// Click on 'Cancel'
        GrafikEinfuegenDlg.Cancel
    Kontext "AutopilotBrief2"
        '/// Click on 'Next'
        Weiter.Click
    Kontext "AutopilotBrief3"
        printlog "- 3rd page"
        Call DialogTest (AutopilotBrief3)
        '/// On the 3rd page just click 'Next' button.
        Weiter.Click
    Kontext "AutopilotBrief4"
        printlog "- 4th page"
        Call DialogTest (AutopilotBrief4)
        '/// On the 4th page just click 'Next' button.
        Weiter.Click
    Kontext "AutopilotBrief5"
        printlog "- 5th page"
        Call DialogTest (AutopilotBrief5)
        '/// On the 5th page just click 'Next' button.
        Weiter.Click
    Kontext "AutopilotBrief6"
        printlog "- 6th page"
        Call DialogTest (AutopilotBrief6)
        '/// On the 6th page just click 'Next' button.
        Weiter.Click
    Kontext "AutopilotBrief7"
        printlog "- 7th page"
        Call DialogTest (AutopilotBrief7)
        '/// On the 7th page just click 'Next' button.
        Weiter.Click
    Kontext "AutopilotBrief8"
        printlog "- 8th page"
        Call DialogTest (AutopilotBrief8)
        '/// Check 'automatic'-checkbox on the 8th page. 
        Automatisch.Check
        '/// Click on 'Destionation' button.
        Zielverzeichnis.Click
        printlog "    File name destination"
    Kontext "OeffnenDlg"
        '/// An 'Select Path'-dialog will appear.
        Call DialogTest (OeffnenDlg)
        '/// Press 'Cancel' button.
        OeffnenDlg.Cancel
    Kontext "AutopilotBrief8"
        '/// Back on the 8th page uncheck the 'automatic'-checkbox. 
        Automatisch.UnCheck
        '/// Click on 'Next'-button.
        Weiter.Click
    Kontext "AutopilotBrief9"
        printlog "- 9th page"
        Call DialogTest (AutopilotBrief9)
        '/// Click on the 9th page on 'Setup' to get the printer setup dialog.
        Einrichten.Click
    Kontext "DruckerEinrichten"
        printlog "    printer settings"
        Call DialogTest(DruckerEinrichten)
        '/// Press 'Cancel' button on the printer setup.
        DruckerEinrichten.Cancel
    Kontext "AutopilotBrief9"
        printlog "=> Create"
        '/// Back on the 9th page press 'Create' to get the dialog finished.
        Fertigstellen.Click
    Kontext "Messagebox"
        if Messagebox.Exists(1) then
            try
                printlog Messagebox.GetText
                Messagebox.Yes
            catch
                warnlog Messagebox.GetText
                MessageBox.OK
            endcatch
        end if
        sleep (2)
    Kontext "AutopilotBrief8"
        '/// If a message box appears give the Autopilot template a name 'tt-letter'.  
        if AutopilotBrief8.Exists then
            VorlagenName.SetText "tt-letter"
            '/// Click on 'Create' button again.
            Fertigstellen.Click
            Kontext "Messagebox"
                if Messagebox.Exists(1) then
                    try
                        '/// If a verification dialog will appear just click on 'yes'.
                        printlog Messagebox.GetText
                        Messagebox.Yes
                    catch
                        '/// Other dialogs are not allowed here and it may be is a bug.
                        warnlog Messagebox.GetText
                        MessageBox.OK
                    endcatch
                end if
                sleep (2)
        end if

    Kontext "Messagebox"
        if Messagebox.Exists(1) then
            warnlog Messagebox.GetText
            Messagebox.OK
        end if
        '/// Wait some time until the complete document will be shown.
        sleep(10)
        '/// Close the document.
    Call hCloseDocument
    
    if gApplication <> "DESKTOP" then 
        Call hCloseDocument
    end if
endcase

'-------------------------------------------------------------------------

testcase tFileAutopilotFax
'Author: TZ
   printlog "  * File Autopilot Fax"
   if gApplication <> "DESKTOP" then Call hNewDocument

   FileAutopilotFax
   Kontext "Active"
   if Active.Exists (1) then
      warnlog Active.GetText
      try
         Active.OK
      catch
         Active.No
      endcatch
      Goto endsub
   end if

   Kontext "AutopilotFax1"
  printlog "- 1st page"
   Call DialogTest (AutopilotFax1)
   Weiter.Click

   Kontext "AutopilotFax2"
  printlog "- 2nd page"
   Call DialogTest (AutopilotFax2)
    Grafik.Check
    Grafikauswahl.Click
    Kontext "GrafikEinfuegenDlg"
  printlog "     insert graphic"
    GrafikEinfuegenDlg.Cancel
   Kontext "AutopilotFax2"
   Weiter.Click

   Kontext "AutopilotFax3"
  printlog "- 3rd page"
   Call DialogTest (AutopilotFax3)
   Weiter.Click

   Kontext "AutopilotFax4"
  printlog "- 4th page"
   Call DialogTest (AutopilotFax4)
   Weiter.Click

   Kontext "AutopilotFax5"
  printlog "- 5th page"
   Call DialogTest (AutopilotFax5)
   Weiter.Click

   Kontext "AutopilotFax6"
  printlog "- 6th page"
   Call DialogTest (AutopilotFax6)
   Weiter.Click

   Kontext "AutopilotFax7"
  printlog "- 7th page"
   Call DialogTest (AutopilotFax7)
   Automatisch.Check
   ZielVerzeichnis.Click
    Kontext "OeffnenDlg"
  printlog "    File name destination"
    OeffnenDlg.Cancel
   Kontext "AutopilotFax7"
   Automatisch.UnCheck
   Weiter.Click

   Kontext "AutopilotFax8"
  printlog "- 8th page"
   Call DialogTest (AutopilotFax8)

  printlog "=> Create"
   FertigStellen.Click

   Kontext "Messagebox"
   if Messagebox.Exists(1) then
      try
         printlog Messagebox.GetText
         Messagebox.Yes
      catch
         Warnlog Messagebox.GetText
         MessageBox.OK
      endcatch
   end if
   Sleep (2)

   Kontext "AutopilotFax7"
   if AutopilotFax7.Exists then
      VorlagenName.SetText "tt-fax"
      Fertigstellen.Click

      Kontext "Messagebox"
      if Messagebox.Exists(1) then
         try
            printlog Messagebox.GetText
            Messagebox.Yes
         catch
            Warnlog Messagebox.GetText
            MessageBox.OK
         endcatch
      end if
      Sleep (2)
   end if

   Kontext "Messagebox"
   if Messagebox.Exists(1) then
      Warnlog Messagebox.GetText
      Messagebox.OK
   end if

   sleep(10)
   Call hCloseDocument

   if gApplication <> "DESKTOP" then Call hCloseDocument

endcase

'-------------------------------------------------------------------------

testcase tFileAutopilotMemo
'Author: TZ
   printlog "  * File Autopilot Memo"

   if gApplication <> "DESKTOP" then Call hNewDocument

   FileAutopilotMemo

   Kontext "Active"
   if Active.Exists (1) then
      warnlog Active.GetText
      try
        Active.OK
      catch
        Active.No
      endcatch
      Goto endsub
   end if

   Kontext "AutopilotMemo1"
  printlog "- 1st page"
   Call DialogTest (AutopilotMemo1)
   AlsGrafik.Check
   GrafikAuswahl.Click
    Kontext "GrafikEinfuegenDlg"
  printlog "    insert graphic"
    GrafikEinfuegenDlg.Cancel
   Kontext "AutopilotMemo1"
   Weiter.Click

   Kontext "AutopilotMemo2"
  printlog "- 2nd page"
   Call DialogTest (AutopilotMemo2)
   Weiter.Click

   Kontext "AutopilotMemo3"
  printlog "- 3rd page"
   Call DialogTest (AutopilotMemo3)
   Weiter.Click

   Kontext "AutopilotMemo4"
  printlog "- 4th page"
   Call DialogTest (AutopilotMemo4)
   Automatisch.Check
   ZielVerzeichnis.Click
    Kontext "OeffnenDlg"
  printlog "     File name destination"
    OeffnenDlg.Cancel
   Kontext "AutopilotMemo4"
   Weiter.Click

   Kontext "AutopilotMemo5"
  printlog "- 5th page"
   Call DialogTest (AutopilotMemo5)

  printlog "=> Create"
   Fertigstellen.Click

   Kontext "Messagebox"
   if Messagebox.Exists(1) then
      try
         printlog Messagebox.GetText
         Messagebox.Yes
      catch
         Warnlog Messagebox.GetText
         MessageBox.OK
      endcatch
   end if
   Sleep (2)

   Kontext "AutopilotMemo4"
   if AutopilotMemo4.Exists then
      VorlagenName.SetText "tt-memo"
      Fertigstellen.Click

      Kontext "Messagebox"
      if Messagebox.Exists(1) then
         try
            printlog Messagebox.GetText
            Messagebox.Yes
         catch
            Warnlog Messagebox.GetText
            MessageBox.OK
         endcatch
      end if
      Sleep (2)
   end if

   Kontext "Messagebox"
   if Messagebox.Exists(1) then
      Warnlog Messagebox.GetText
      Messagebox.OK
   end if

   sleep(10)
   Call hCloseDocument

   if gApplication <> "DESKTOP" then Call hCloseDocument

endcase

'-------------------------------------------------------------------------

testcase tFileAutopilotAgenda
'Author: TZ
   printlog "  * File Autopilot Agenda"

   if gApplication <> "DESKTOP" then Call hNewDocument

   FileAutopilotAgenda

   Kontext "Active"
   if Active.Exists (1) then
      warnlog Active.GetText
      try
        Active.OK
      catch
        Active.No
      endcatch
      Goto endsub
   end if

   Kontext "AutopilotAgenda1"
  printlog "- 1st page"
   Call DialogTest (AutopilotAgenda1)
   Titelgrafik.Check
   Grafikauswahl.Click
    Kontext "GrafikEinfuegenDlg"
  printlog "    insert graphic"
    GrafikEinfuegenDlg.Cancel
   Kontext "AutopilotAgenda1"
   Weiter.Click

   Kontext "AutopilotAgenda2"
  printlog "- 2nd page"
   Call DialogTest (AutopilotAgenda2)
   Weiter.Click

   Kontext "AutopilotAgenda3"
  printlog "- 3nd page"
   Call DialogTest (AutopilotAgenda3)
   Weiter.Click

   Kontext "AutopilotAgenda4"
  printlog "- 4th page"
   Call DialogTest (AutopilotAgenda4)
   Weiter.Click

   Kontext "AutopilotAgenda5"
  printlog "- 5th page"
   Call DialogTest (AutopilotAgenda5)
   Automatisch.Check
   ZielVerzeichnis.Click
    Kontext "OeffnenDlg"
  printlog "     File name destination"
    OeffnenDlg.Cancel
   Kontext "AutopilotAgenda5"
   Weiter.Click

   Kontext "AutopilotAgenda6"
  printlog "- 6th page"
   Call DialogTest (AutopilotAgenda6)
  printlog "=> Create"
   Fertigstellen.Click

   Kontext "Messagebox"
   if Messagebox.Exists(1) then
      try
         printlog Messagebox.GetText
         Messagebox.Yes
      catch
         Warnlog Messagebox.GetText
         MessageBox.OK
      endcatch
   end if
   Sleep (2)

   Kontext "AutopilotAgenda5"
   if AutopilotAgenda5.Exists then
      VorlagenName.SetText "tt-agenda"
      Fertigstellen.Click

      Kontext "Messagebox"
      if Messagebox.Exists(1) then
         try
            printlog Messagebox.GetText
            Messagebox.Yes
         catch
            Warnlog Messagebox.GetText
            MessageBox.OK
         endcatch
      end if
      Sleep (2)
   end if

   Kontext "Messagebox"
   if Messagebox.Exists(1) then
      Warnlog Messagebox.GetText
      Messagebox.OK
   end if

   sleep(10)
   Call hCloseDocument

   if gApplication <> "DESKTOP" then Call hCloseDocument

endcase

'-------------------------------------------------------------------------

testcase tFileAutopilotPresentation
'Author: TZ
  Dim i as Integer
   printlog "  * File Autopilot Presentation"

      if gApplication <> "DESKTOP" then Call hNewDocument

      FileAutopilotPresentation
   Kontext "Active"
   if Active.Exists (1) then
      warnlog Active.GetText
      try
        Active.OK
      catch
        Active.No
      endcatch
      Goto endsub
   end if

   Kontext "AutopilotPraesentation1"
   Vorschau.Uncheck

   for i=1 to 30
      if Praesentationsvorlage.Exists AND Praesentationsvorlage.IsEnabled then
         printlog "After " + i + " sekunds the checkbox 'from template' can be checked!"
         i = 101
         Praesentationsvorlage.Check
      else
         sleep(1)
      end if
   next i
   if i < 100 then
      warnlog "BugID:78400 => Layouts from template are not active ( waiting 30 seconds )!"
      Call DialogTest ( AutopilotPraesentation1 )
      Weiter.Click

      Kontext "AutopilotPraesentation2"
      Call DialogTest ( AutopilotPraesentation2 )
      Weiter.Click

      Kontext "AutopilotPraesentation3"
      Call DialogTest ( AutopilotPraesentation3 )
      AutopilotPraesentation3.OK

      Sleep 2
      Kontext "SeitenLayout"
      SeitenLayout.Cancel
      Sleep 2
   else
      Call DialogTest ( AutopilotPraesentation1 )
      Weiter.Click

      Kontext "AutopilotPraesentation2"
      Call DialogTest ( AutopilotPraesentation2 )
      Weiter.Click

      Kontext "AutopilotPraesentation3"
      Call DialogTest ( AutopilotPraesentation3 )
      Weiter.Click

      Kontext "AutopilotPraesentation4"
     Call DialogTest ( AutopilotPraesentation4 )
      Weiter.Click

      Kontext "AutopilotPraesentation5"
      Call DialogTest ( AutopilotPraesentation5 )
      AutopilotPraesentation5.OK
      IsItLoaded
   end if

   Call hCloseDocument

   if gApplication <> "DESKTOP" then Call hCloseDocument
endcase

'-------------------------------------------------------------------------

testcase tFileAutopilotWebWizard
	'Author: HDE
	Call hNewDocument
	if ActivateAutoPilot ( "WebPage" ) = FALSE then goto endsub

  	Kontext "WebWizard"
	Call DialogTest ( WebWizard )
	printlog "- Page: Introduction"
	WWNext.Click
	wait 500
  	if WWDocumentsAdd.IsVisible = True then
  		' WebWizard Page 'Document'
		printlog "- Page: Document"
		WWDocumentsAdd.Click
		Kontext "OeffnenDlg"
		If OeffnenDlg.Exists then
			Dateiname.Settext gTesttoolpath & "framework/update/input/wizard/webwizard.sxw"
			Oeffnen.Click
			Kontext "Active"
			If Active.Exists then
				If Active.GetRT = 304 then
					Warnlog "Unable to load sample-document. Test canceled"
					Active.Ok
					Kontext "OeffnenDlg"
					OeffnenDlg.Close
					Kontext "WebWizard"
					WebWizard.Close
				endif
			endif
		endif
		Kontext "WebWizard"
		if WWNext.IsEnabled = True then
			WWNext.Click
			printlog "- Page: Main Layout"			
			WWNext.Click
			printlog "- Page: LayoutDetails"
			WWNext.Click
			printlog "- Page: Style"
			WWBackground.Click
				
			Kontext "WebWizardBackground"
			Call DialogTest ( WebWizardBackground )
			BGOther.Click
			Kontext "OeffnenDlg"
			if OeffnenDlg.Exists then OeffnenDlg.Cancel
			Kontext "WebWizardBackground"
			BGCancel.Click
			Kontext "WebWizard"
			
			WWIconset.Click
			Kontext "WebWizardIconSet"
			Call DialogTest ( WebWizardIconSet )
			IcSetCancel.Click
			Kontext "WebWizard"

			WWNext.Click
			printlog "- Page: Website Information"
			WWPageInformationIconSelect.Click
			Kontext "OeffnenDlg"
			if OeffnenDlg.Exists then
				OeffnenDlg.Cancel
			else
				Warnlog "File Open dialog not shown!"
			endif			
			Kontext "WebWizard"
			WWNext.Click
			printlog "- Page: Preview"
			WWPreview.Click
			Kontext "DocumentWriterWeb"
			if DocumentWriterWeb.Exists then
				FileClose
			else
				Warnlog "Preview does not work !"
			endif

			Kontext "WebWizard"
			WWPublishLocalDirSelect.Click
			Kontext "OeffnenDlg"
			if OeffnenDlg.Exists then
				OeffnenDlg.Cancel
			else
				Warnlog "File Open dialog not shown!"
			endif			
			
			Kontext "WebWizard"
			WWPublishZipDirSelect.Click
			Kontext "SpeichernDlg"
			if SpeichernDlg.Exists then
				SpeichernDlg.Cancel
			else
				Warnlog "File Save dialog not shown!"
			endif			

			Kontext "WebWizard"
			WWPublishFTPConfigure.Click
			Kontext "WebWizardFTPSettings"
			Call DialogTest ( WebWizardFTPSettings )
			FTPSettingsCancel.Click			
				
			Kontext "WebWizard"
			WWCancel.Click
			
		else
			Warnlog "Unable to step to next page though files have been added"
		endif
	
	
	else
  		Warnlog "Unable to step to next page"
	endif

	Call hCloseDocument
	
endcase
'-------------------------------------------------------------------------

testcase tFileAutopilotDocumentConverter
'Author: TZ
'///File / Autopilot / Document Converter
 printlog "File / Autopilot / Document Converter"

   hNewDocument
   if ActivateAutoPilot ( "DocumentConverter" ) = FALSE then Goto endsub

'///+1. page : activate StarOffice - Text documents
 printlog "- Only for StarOffice - Text documents"
   Kontext "DocumentConverter"
 printlog "  - 1. page  => only text documents"
   StarOffice.Check
   TextDoc.Check
   Sleep (1)
   ContinueButton.Click

'///+2. page : check tempates and documents
'///+activate each 'serach'(...)-button and close the file-dialog
 printlog "  - 2. page  => for text-documents"
   Template.Check
   IncludingSubdirectoriesTemplate.Check
   Sleep (1)
   ImportFormTemplatesSearch.Click
   Kontext "OeffnenDlg"
   if OeffnenDlg.Exists(2) then
      OeffnenDlg.Cancel
   else
      Warnlog "No file-open-dialog is open! BugID:94611"
   end if
   Sleep (1)

'///+insert [TesttoolPath]\global\input\empty as Import-From-Template-Field
   Kontext "DocumentConverter"
   ImportFormTemplates.SetText ( ConvertPath ( gTesttoolPath + "global\input\empty" ) )
   Sleep (1)

   SaveToTemplatesSearch.Click
   Kontext "OeffnenDlg"
   if OeffnenDlg.Exists(2) then
      OeffnenDlg.Cancel
   else
      Warnlog "No file-open-dialog is open! BugID:94611"
   end if
   Sleep (1)

'///+insert [OfficePath]\user\work as Save-To-Template-Field
   Kontext "DocumentConverter"
   SaveToTemplates.SetText ( ConvertPath ( gOfficePath + "user\work" ) )
   Sleep (1)

   Document.Check
   IncludingSubdirectoriesDocument.Check
   Sleep (1)
   ImportFormDocumentSearch.Click
   Kontext "OeffnenDlg"
   if OeffnenDlg.Exists(2) then
      OeffnenDlg.Cancel
   else
      Warnlog "No file-open-dialog is open! BugID:94611"
   end if
   Sleep (1)

'///+insert [TesttoolPath]\global\input\empty as Import-From-Documents-Field
   Kontext "DocumentConverter"
   ImportFormDocument.SetText ( ConvertPath ( gTesttoolPath + "global\input\empty" ) )

   Sleep (1)
   SaveToDocumentSearch.Click
   Kontext "OeffnenDlg"
   if OeffnenDlg.Exists(2) then
      OeffnenDlg.Cancel
   else
      Warnlog "No file-open-dialog is open! BugID:94611"
   end if

'///+insert [OfficePath]\user\work as Save-To-Documents-Field
   Kontext "DocumentConverter"
   SaveToDocument.SetText ( ConvertPath ( gOfficePath + "user\work" ) )
   Sleep (1)

'///+continue
   ContinueButton.Click
   Sleep (1)

'///+convert
 printlog "  - 3. page  => summary"
   ContinueButton.Click
   Sleep (3)

'///+=> no convertion, because the import-directories are empty / finished
 printlog "  - 4. page  => finish"
   ContinueButton.Click
   Sleep (1)

   Kontext "Active"
   if Active.Exists (1) then
      Warnlog Active.GetText
      Active.OK
   end if
   Call hCloseDocument

'///File / Autopilot / Document Converter
 printlog "- Only for WinWord documents"
   hNewDocument
   if ActivateAutoPilot ( "DocumentConverter" ) = FALSE then Goto endsub

'///+1. page : activate Microsoft - Word documents
   Kontext "DocumentConverter"
 printlog "  - 1. page  => Only for Microsoft - Word documents"
   MicrosoftOffice.Check
   Word.Check
   Sleep (1)
   ContinueButton.Click

'///+2. page : check tempates and documents
'///+activate each 'serach'(...)-button and close the file-dialog
 printlog "  - 2. page  => for word-documents"
   Template.Check
   IncludingSubdirectoriesTemplate.Check
   Sleep (1)
   ImportFormTemplatesSearch.Click
   Kontext "OeffnenDlg"
   if OeffnenDlg.Exists(2) then
      OeffnenDlg.Cancel
   else
      Warnlog "No file-open-dialog is open! BugID:94611"
   end if
   Sleep (1)

'///+insert [TesttoolPath]\global\input\empty as Import-From-Template-Field
   Kontext "DocumentConverter"
   ImportFormTemplates.SetText ( ConvertPath ( gTesttoolPath + "global\input\empty" ) )
   Sleep (1)

   SaveToTemplatesSearch.Click
   Kontext "OeffnenDlg"
   if OeffnenDlg.Exists(2) then
      OeffnenDlg.Cancel
   else
      Warnlog "No file-open-dialog is open! BugID:94611"
   end if
   Sleep (1)

'///+insert [OfficePath]\user\work as Save-To-Template-Field
   Kontext "DocumentConverter"
   SaveToTemplates.SetText ( ConvertPath ( gOfficePath + "user\work" ) )
   Sleep (1)

   Document.Check
   IncludingSubdirectoriesDocument.Check
   ImportFormDocumentSearch.Click
   Kontext "OeffnenDlg"
   if OeffnenDlg.Exists(2) then
      OeffnenDlg.Cancel
   else
      Warnlog "No file-open-dialog is open! BugID:94611"
   end if
   Sleep (1)

'///+insert [TesttoolPath]\global\update\input\empty as Import-From-Documents-Field
   Kontext "DocumentConverter"
   ImportFormDocument.SetText ( ConvertPath ( gTesttoolPath + "global\input\empty" ) )
   Sleep (1)

   SaveToDocumentSearch.Click
   Kontext "OeffnenDlg"
   if OeffnenDlg.Exists(2) then
      OeffnenDlg.Cancel
   else
      Warnlog "No file-open-dialog is open! BugID:94611"
   end if
   Sleep (1)

'///+insert [OfficePath]\user\work as Save-To-Documents-Field
   Kontext "DocumentConverter"
   SaveToDocument.SetText ( ConvertPath ( gOfficePath + "user\work" ) )
   Sleep (1)

'///+continue
   ContinueButton.Click
   Sleep (1)

'///+convert
 printlog "  - 3. page  => summary"
   ContinueButton.Click
   Sleep (3)

'///+=> no convertion, because the import-directories are empty / finished
 printlog "  - 4. page  => finish"
   ContinueButton.Click
   Sleep (1)

   Kontext "Active"
   if Active.Exists (1) then
      Warnlog Active.GetText
      Active.OK
   end if

   Call hCloseDocument
endcase

'-------------------------------------------------------------------------

testcase tFileAutopilotEuroConverter
'Author: TZ
 printlog "- File / Autopilot / Euro Converter"
   Call hNewDocument

'///File / Autopilot / Euro Converter
   if ActivateAutoPilot ( "EuroConverter" ) = FALSE then Goto endsub
   Sleep (2)

'///+1. page :
'///+check if 'complete directory' must be checked, when this autopilot is called out of the new/autopilot-menu
   Kontext "AutoPilotEuroKonverter"
   Printlog "  - 1. page"
   Call DialogTest ( AutoPilotEuroKonverter )
   if bAsianLan = TRUE OR iSprache = 01 OR iSprache = 07 OR iSprache = 45 OR iSprache = 46 OR iSprache = 48 then
      if Waehrungen.IsEnabled then
         printlog "The tested language is not a EURO-land, the selected curreny is : " + Waehrungen.GetSelText
      end if
      Waehrungen.Select 1
   end if
   If Verzeichnis.IsChecked <> TRUE then
      Warnlog "'Complete Directory' is not checked! But it should be, if you call the dialog out of new-menu."
      Verzeichnis.Check
   end if

'///+click on search-button for 'Source directory' => close the file-dialog
   QuelleSuchen.Click
   Kontext "OeffnenDlg"
   OeffnenDlg.Cancel

'///+change the source-dir to [TesttoolPath]\global\input\empty
   Kontext "AutoPilotEuroKonverter"
   Quelle.SetText ( ConvertPath ( gTesttoolPath + "global\input\empty" ) )

'///+click on search-button for 'Target directory' => close the file-dialog
   ZielSuchen.Click
   Kontext "OeffnenDlg"
   OeffnenDlg.Cancel

'///+change the target-dir to [OfficePath]\user\work
   Kontext "AutoPilotEuroKonverter"
   Ziel.SetText ( ConvertPath ( gOfficePath + "user\work" ) )

'///+convert => no convertion, because the source-dir is empty
   Konvertieren.Click
   Sleep (2)

'///+finish
   Printlog "  - 2. page => finish"
   Sleep (1)
   Konvertieren.Click

   Call hCloseDocument
endcase

