'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: g_group.inc,v $
'*
'*  $Revision: 1.3 $
'*
'*  last change: $Author: fredrikh $ $Date: 2005/05/10 13:03:36 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/********************************************************************
'*
'* Owner : fredrik.haegg@sun.com
'*
'* short description :
'*
'*********************************************************************
' #1 tiGruppierung
'\********************************************************************

testcase tiGruppierung
 Dim PosX 		 'Variable fuer PositionX

 Call hNewDocument								   '/// new document  ///'
  sleep 3
  Kontext "DocumentImpress"
  sleep 2
  hRechteckErstellen (20,20,40,40)				   '/// create rectangle  ///'
  sleep 1
  hRechteckErstellen (60,60,70,10)				   '/// create 2nd rectangle ///'
  sleep 1
  hRechteckErstellen (50,90,70,40)				   '/// create 3rd rectangle ///'
  sleep 1
    Printlog "- Created 3 rectangles for group testing"
  gMouseClick (50,50)                              '/// Put the mouse-marker in the middle of the screen ///'
  htypekeys "<MOD1 A>" 						   '/// select all rectangles ///'
  if (lcase(gApplication) = "draw") then
     hOpenContextMenu
        sleep(2)
        hMenuSelectNr(12) ' Select "Group"
        sleep(2)
  else
     FormatGroupDraw							   '/// open context menue and group rectangles ///'
  endif
  sleep 1
    Printlog "- Get position and dimensions of elements"
  ContextPositionAndSize								'/// get dimensions of group ///'
  sleep 1
  Kontext
  Active.SetPage TabPositionAndSize
  Kontext "TabPositionAndSize"
  sleep 1
  PosX=PositionX.GetText
  TabPositionAndSize.OK
  sleep 1
  Kontext "DocumentImpress"
  gMouseClick 35,35
  sleep 1
  hTypeKeys "<F3>"							'/// entering group using key "F3" ///'
  sleep 3
   try
      EditCut										'/// cut rectangle out of document ///'
      sleep 1
      Warnlog "- Entering the group, no object within the group should have been selected"
   catch
      Printlog "- entered group, nothing selected"
   endcatch
  gMouseClick (35,35)
  gMouseMove (30,30,60,60)
  sleep 1
   Printlog "- Exit group"
'  DocumentImpress.OpenContextMenu							'/// leave group, compare dimensions ///'
'  sleep 1
'  hMenuSelectNr (13)
  hTypeKeys "<mod1 F3>"							'/// exit group using key "strg F3" ///'
  ' would be better to call the slot TBO!
  ContextPositionAndSize
  sleep 1
  Kontext
  Active.SetPage TabPositionAndSize
  Kontext "TabPositionAndSize"
  sleep 1
   if PosX = PositionX.GetText then
      Warnlog "- No change in position for X axis, even we changed position of 1 object within the group"
      TabPositionAndSize.OK
   else
      Printlog "- Moving within the group works"
      TabPositionAndSize.OK
   end if
  Call hCloseDocument									'/// close document  ///'
endcase
