'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: makeLokaleTxt.bas,v $
'*
'*  $Revision: 1.8 $
'*
'*  last change: $Author: fredrikh $ $Date: 2004/10/13 11:10:37 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'/******************************************************************
'*
'* Owner : fredrik.haegg@sun.com
'*
'* short description : Graphics: get language dependant strings
'*
'\******************************************************************

'/// run this script, if you are testing a new language. ///'
'/// it will add all relevant strings to the file qatesttool/graphics/tools/locale_1.txt ///'
'/// you just have to make shure, that every language only appears once in the file! ///'

global glLocale (15*20) as string
global S1 as string
global S2 as string
global S3 as string
global S4 as string

sub main
    use "graphics\tools\id_tools.inc"
    use "graphics\level1\inc\impress\slideshow.inc"
    use "graphics\level1\inc\impress\slideshow2.inc"
    use "graphics\level1\inc\global\stylist.inc"        'format -> stylist
    use "graphics\level1\inc\global\spellcheck.inc"         'tools

'    GetOLEDefaultNames

    if hSetLocaleStrings ( gTesttoolPath + "graphics\tools\locale_1.txt" , glLocale () ) = FALSE then
        warnlog "Locales file doesn't exist: '" + gTesttoolPath + "graphics\tools\locale_1.txt'"
    endif

'Handouts
'Slide
'Default
'English (USA)
'Background
'German (Germany)

printlog "Current saved strings are: "
    printlog "O 1: " + glLocale (1) 'Handouts        ' im_103.inc::tViewWorkspaceHandoutView
    printlog "O 2: " + glLocale (2) 'Slide           ' impress/slideshow.inc::
    printlog "O 3: " + glLocale (3) 'Default
    printlog "O 4: " + glLocale (4) 'English (USA)
    printlog "O 5: " + glLocale (5) 'Background
    printlog "O 6: " + glLocale (6) 'German (Germany)

    '/// LOCALE Slide - 2 ///'
    S1 = glLocale (2) + " 1"
    S2 = glLocale (2) + " 2"
    S3 = glLocale (2) + " 3"
    S4 = glLocale (2) + " 4"

printlog "Strings from current office: "

'(1)tViewWorkspaceHandoutView
   hNewDocument
'   hUseMenu
'   hMenuSelectNr(3)
'   hMenuSelectNr(11)
'   printlog hMenuItemGetText (4)
  ViewWorkspaceHandoutView						'/// view background handout ///'
   sleep 2
  FormatPage
  Kontext "Seitenlayout"
  sleep 2
    glLocale (1) = Seitenname.GetText
    Printlog "L1: '" + glLocale (1) + "'"
  Seitenlayout.Close
  ViewWorkspaceDrawingView						'/// back to view background drawing ///'

'(2)tSlideShowInteraction/fGetSlideName
   Kontext "Navigator"
   if NOT Navigator.exists then
      hTypeKeys "<MOD1 F5>"
   endif
   Kontext "NavigatorDraw"
   if NavigatorDraw.exists (5) then
      sleep 3
      glLocale (2) = left(Liste.GetSelText, len(Liste.GetSelText)-2)
      printlog "L2: '" + glLocale (2) + "'"
   else
      warnlog "Navigator not open!"
   endif
   Kontext "Navigator"
   if Navigator.Exists then Navigator.Close
   hCloseDocument

'(3)tFormatStylistTemplateSelect 'stylist.inc::tFormatStylistTemplateSelect
    gApplication = "Writer"
   hNewDocument
   kontext "TextObjectbar"
   glLocale (3) = Vorlage2.getSelText    '   HID_STYLE_LISTBOX
   printlog "L3: '" + glLocale (3) + "'"
   hCloseDocument
    gApplication = "Impress"

'(4)ASIANONLY tiToolsSpellcheckError
' no need to exclude eurtopean!
' this entry will get English (USA)
'   spellbook language as alternative for not existijng asians one
'    tiToolsSpellcheckError
    gApplication = "Draw"
    hDateiOeffnen (convertPath(gTesttoolpath + "graphics/level1/input/recht_1.sxd"))
    sleep 5
    hTypeKeys "<Tab><F2><Mod1 Home><Shift End>"
    sleep 5
    FormatCharacter
    sleep 1
    Kontext
    Messagebox.SetPage TabFont
    kontext "TabFont"
    sleep 1
    try
        glLocale (4) = LanguageWest.getSelText
        printlog "L4: '" + glLocale (4) + "'"
    catch
        glLocale (4) = Language.getSelText
        printlog "L4: '" + glLocale (4) + "'"
    endcatch
    TabFont.Ok
    sleep 5
    Call hCloseDocument

    gApplication = "Impress"

'(5)tFormatStylistBackground
'    stylist only one tabpage area!
  Dim i as Integer : Dim AlterWert as String : Dim NeuerWert as String
    hnewdocument
      Kontext "Stylist"
      if Stylist.NotExists (5) then
         FormatStylist
        Kontext "Stylist"
        if Stylist.NotExists (5) then warnlog "Could not open stylist :-("
      end if
      Praesentationsvorlagen.Click

   NeuerWert = "!=!  !=!"                ' den neuen Eintrag auf einen Dummywert setzen
   vorlagenliste.TypeKeys "<Home>"
      vorlagenliste.TypeKeys "<Down>"
      vorlagenliste.TypeKeys "<up>"
    while NeuerWert <> AlterWert
      NeuerWert = AlterWert
      AlterWert = vorlagenliste.GetText
     ' printlog AlterWert

            vorlagenliste.OpenContextMenu
      sleep 1
      hMenuSelectNr (1)
   kontext "TabArea"
   if TabArea.exists then
     TabArea.Cancel
     glLocale (5) = AlterWert
    printlog "L5: '" + glLocale (5) + "'"
    goto endchen
   else
    try
        kontext
        active.setPage TabFont
        kontext "TabFont"
        TabFont.Cancel
        'TabFontEffects
        'TabEinzuegeUndAbstaende
    catch
    endcatch
    try
        kontext
        active.setPage TabLinie
        kontext "TabLinie"
        TabLinie.Cancel
        'TabSchatten
        'TabTransparenz
    catch
    endcatch
    try
        kontext
        active.setPage TabBullet
        kontext "TabBullet"
        TabBullet.Cancel
        'TabNumerierungsart
        'TabGrafiken
        'TabOptionenNumerierung
    catch
    endcatch
   endif
        Kontext "Stylist"
      vorlagenliste.TypeKeys "<Down>"
wend
endchen:
'(6)
' this entry will get German (Germany)
    gApplication = "Draw"
    hDateiOeffnen (convertPath(gTesttoolpath + "graphics/level1/input/recht_49.sxd"))
    sleep 5
    hTypeKeys "<Tab><F2><Mod1 Home><Shift End>"
    sleep 5
    FormatCharacter
    sleep 1
    Kontext
    Messagebox.SetPage TabFont
    kontext "TabFont"
    sleep 1
    try
        glLocale (6) = LanguageWest.getSelText
        printlog "L6: '" + glLocale (6) + "'"
    catch
        glLocale (6) = Language.getSelText
        printlog "L6: '" + glLocale (6) + "'"
    endcatch
    TabFont.Ok
    sleep 5
    Call hCloseDocument

    gApplication = "Impress"

   dim lLocale (15*20) as string ' list, where file gets loaded into
   dim flocale as string

   flocale = convertPath (gTesttoolPath + "graphics\tools\locale_1.txt")
   ListRead (lLocale (), fLocale, "UTF8" )
   ListAppend(lLocale (), iSprache)
   for i = 1 to 6
    ListAppend(lLocale (), glLocale (i))
   next i
   ListWrite (lLocale (), fLocale, "UTF8" )

   hCloseDocument

end sub

sub LoadIncludeFiles
    use "global\system\inc\master.inc"
    use "global\system\inc\gvariabl.inc"
    gApplication = "Impress"
    Call GetUseFiles
end sub


