'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: id_003.inc,v $
'*
'*  $Revision: 1.10 $
'*
'*  last change: $Author: fredrikh $ $Date: 2004/11/04 19:59:19 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/**********************************************************************************
'*
'* Owner : fredrik.haegg@sun.com
'*
'* short description :
'*
'***********************************************************************************
' #1 tiViewZoom
' #1 tiViewToolbar
' #1 tiToolsCustomizeToolbars
' #1 tiViewDisplayQuality
' #1 tiViewLayer
' #1 tViewSnapLines
' #1 tViewGrid
'\**********************************************************************************

sub id_003
   printLog Chr(13) + "---------    id_003    ----------"

   call tiViewZoom
'   call tiViewToolbar
qaerrorlog "tiViewToolbar deactivated due to problems with declaring. Will be reprogrammed - FHA"
        '^ rulers and statusbar included
'   call tiToolsCustomizeToolbars
qaerrorlog "tiToolsCustomizeToolbars is being reprogrammed"

   call tiViewDisplayQuality
       ' v slide belongs to
   call tiViewLayer
   call tViewSnapLines
   call tViewGrid
end sub

testcase tiViewZoom
'/// open application ///'
   Call  hNewDocument
   sleep 2
   UseBindings
   ViewZoom
   Kontext "Massstab"
      DialogTest ( Massstab )
      Massstab.Cancel
'/// close application ///'
   Call  hCloseDocument
endcase

testcase tiViewToolbar
'/// including ruler & statusbar ///'
'/// open application ///'
   Call  hNewDocument
    sleep (1)
'/// View->Toolbars->Function bar ///'
   ViewToolbarsFunctionbar
    sleep (1)
'/// View->Toolbars->Function bar ///'
   ViewToolbarsFunctionbar
    sleep (1)

'/// View->Toolbars->Object bar ///'
   ViewToolbarsObjectbar
    sleep (1)
'/// View->Toolbars->Object bar ///'
   ViewToolbarsObjectbar
    sleep (1)

'/// View->Toolbars->Main Toolbar ///'
   ViewToolbarsMainToolbar
    sleep (1)
'/// View->Toolbars->Main Toolbar ///'
   ViewToolbarsMainToolbar
    sleep (1)

'/// View->Toolbars->Hyperlink bar ///'
   ViewToolbarsHyperlinkbar
    sleep (1)
'/// View->Toolbars->Hyperlink bar ///'
   ViewToolbarsHyperlinkbar
    sleep (1)

'/// View->Toolbars->Option bar ///'
   ViewToolbarsOptionbar
    sleep (1)
'/// View->Toolbars->Option bar ///'
   ViewToolbarsOptionbar
    sleep (1)

   if LCase(gApplication) = "impress" then
'/// View->Toolbars->Presentation ///'
      ViewToolbarsPresentation ' only in impress, not draw
       sleep (1)
'/// View->Toolbars->Presentation ///'
      ViewToolbarsPresentation
       sleep (1)
   endif

'/// View->Toolbars->Color Bar ///'
   ViewToolbarsColorBar
    sleep (1)
'/// View->Toolbars->Color Bar ///'
   ViewToolbarsColorBar
    sleep (1)
'-----------------
'/// View->Rulers ///'
   ViewRulers
    sleep (1)
'/// View->Rulers ///'
   ViewRulers
    sleep (1)

'/// View->Status Bar ///'
   ViewToolbarsStatusbar
    sleep (1)
'/// View->Status Bar ///'
   ViewToolbarsStatusbar
    sleep (1)
'/// close application ///'
   Call  hCloseDocument
endcase

testcase tiToolsCustomizeToolbars
'/// open application ///'
' kinda same to tools->customize->toolbars
   Call  hNewDocument
   sleep 1
'/// View->Toolbars->Customize ///'
   ToolsCustomize
      Kontext "CustomizeToolbars"
      sleep 1
      if CustomizeToolbars.exists (5) then
         Call DialogTest ( CustomizeToolbars)
         Sleep 2
   '/// click button 'Default' ///'
         Default.Click
   '/// in 'Available Buttons' Expand the 1st fold from the top, select the 2nd entry from the top ///'
         AvailableButtons.TypeKeys "<home>+<down>"
   '/// click button 'Add' ///'
         Add.click
         ' 1st try for a more reliable function  to add buttons
         kontext
         if active.exists(2) then
            printlog "Active about 'Function already in toolbar :-(', say OK: '" + active.getText + "'"
            active.ok
            Kontext "CustomizeToolbars"
            AvailableButtons.TypeKeys "<down>"
            Add.click
         endif
         Kontext "CustomizeToolbars"
   '/// in 'Buttons in Use' select the firste entry from the top ///'
         ButtonsInUse.TypeKeys "<home><down>"
   '/// click button 'MoveUp' ///'
         MoveUp.click
   '/// click button 'Icons' ///'
            Icons.Click
               Kontext "SchaltflaecheBearbeiten"
               sleep 1
               Call DialogTest ( SchaltflaecheBearbeiten )
   '/// cancel dialog 'Customize Buttons' ///'
               SchaltflaecheBearbeiten.Cancel
         kontext "CustomizeToolbars"
   '/// click button 'MoveDown' ///'
         MoveDown.click
   '/// click button 'Remove' ///'
         Remove.click
   '/// in 'Buttons in Use' just use the <down> cursor key ///'
         Toolbars.TypeKeys "<down>"
   '/// click button 'Apply' ///'
         Apply.click
   '/// click button 'Default' ///'
            Default.Click
            sleep 1
            kontext "CustomizeToolbars"
'/// close dialog 'Customize Toolbars' ///'
         CustomizeToolbars.Close
         sleep 1
   else
      warnlog "ViewToolbarsCustomize - dialog didn't came up :-("
   endif
'/// close application ///'
   Call hCloseDocument
endcase

testcase tiViewDisplayQuality
'/// open application ///'
 Call hNewDocument
  sleep 1
'/// create a rectangle ///'
   Call hRechteckErstellen 20,20,40,40
   sleep 1
   try
'/// View->Display Quality->Black and White ///'
      ViewQualityBlackWhite
      Printlog "- Quality set to black and white"
   catch
      Warnlog "- Slot could not be accessed"
   endcatch
   sleep 1
   try
'/// View->Display Quality->Greyscale ///'
      ViewQualityGreyscale
      Printlog "- View quality set to greyscale"
   catch
      Warnlog "- View quality greyscale could not be accessed"
   endcatch
   sleep 1
   try
'/// View->Display Quality->Colour ///'
      ViewQualityColour
      Printlog "- View quality set to colour"
   catch
      Warnlog "- View quality colour could not be accessed"
   endcatch
'/// close application ///'
 Call hClosedocument
endcase

testcase tiViewLayer
'/// open application ///'
 Call hNewDocument
'/// Insert->Layer / in impress: ???? ///'
   sleep 1
'/// View->Layer ///'
   ViewLayer
   sleep 1
'/// View->Layer ///'
   ViewLayer
'/// close application ///'
 Call hCloseDocument
endcase

testcase tViewGrid
'/// open application ///'
   Call  hNewDocument
   sleep 1
'/// View->Grid-> ///'
   ViewGridVisible
'/// View->Grid-> ///'
   ViewGridUse
'/// View->Grid-> ///'
   ViewGridFront
'/// View->Grid-> ///'
   ViewGridVisible
'/// View->Grid-> ///'
   ViewGridUse
'/// View->Grid-> ///'
   ViewGridFront
   sleep 1
'/// close application ///'
   Call  hCloseDocument
endcase

testcase tViewSnapLines
'/// open application ///'
   Call  hNewDocument
   sleep 1
'/// View->Snap Lines-> ///'
   ViewSnapLinesVisible
'/// View->Snap Lines-> ///'
   ViewSnapLinesUse
'/// View->Snap Lines-> ///'
   ViewSnapLinesFront
'/// View->Snap Lines-> ///'
   ViewSnapLinesVisible
'/// View->Snap Lines-> ///'
   ViewSnapLinesUse
'/// View->Snap Lines-> ///'
   ViewSnapLinesFront
   sleep 1
'/// close application ///'
   Call  hCloseDocument
endcase


