'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: w_drawing_tools3.inc,v $
'*
'*  $Revision: 1.1 $
'*
'*  last change: $Author: hde $ $Date: 2004/11/10 10:26:14 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'/***********************************************************************
'*
'* owner : hercule.li@sun.com
'*
'* short description : Test  format/Fontwork
'*
'************************************************************************
'*
' #1 tFontWork_1
' #1 tFontWork_2
' #1 tFontWork_3
' #1 tFontWork_4
' #1 tFontWork_5
' #1 tFontWork_6
'*
'\***********************************************************************

sub w_drawing_tools_3

   printLog Chr(13) + "- Test of the drawing tools 3 -- Format/Fontwork"
       Call tFontWork_1             'Test pre-defined shapes (upper/lower Semicircle,...) to the selected text object
       Call tFontWork_2             'Test Orientation
       Call tFontWork_3             'Test Align , include Left , Center, Right and Autosize
       Call tFontWork_4             'Test distance and indent
       Call tFontWork_5             'Test Contour - include contour and text contour
       Call tFontWork_6             'Test shadow - include vertical and slanted

end sub

'-------------------------------------------------------------------------

testcase tFontWork_1

   Dim i as Integer

   printLog Chr(13) + "- Test pre-defined shapes (upper/lower Semicircle,...) to the selected text object"
   '/// Test pre-defined shapes (upper/lower Semicircle,...) to the selected text object

   Call hNewDocument

    Call wZeichenobjektEinfuegen("TEXT", 30, 40, 60, 60)
    Call wDokSchreiben "First Line<Return>"
    Call wDokSchreiben "Second Line<Return>"
    Call wDokSchreiben "Third Line<Return>"
    Kontext "DocumentWriter"
    Call wDokSchreiben "<ESCAPE>"

   '/// format/fontwork
    FormatFontWork
    Kontext
    Kontext "Fontwork"

   '/// test Rotate
    Drehen.Click
    For i = 1 to 12
      kreisAuswahl.TypeKeys "<Right>"
      Sleep 3
    next i

   '/// test Upright
    Aufrecht.Click
    For i = 1 to 12
      kreisAuswahl.TypeKeys "<Right>"
      Sleep 3
    next i

   '/// test Slant Horizontal
    HorizontalKippen.Click
    For i = 1 to 12
      kreisAuswahl.TypeKeys "<Right>"
      Sleep 3
    next i

   '/// test Slant Vertical
    VertikalKippen.Click
    For i = 1 to 12
      kreisAuswahl.TypeKeys "<Right>"
      Sleep 3
    next i

    Fontwork.Close

   Call hCloseDocument

endcase

'-------------------------------------------------------------------------

testcase tFontWork_2

   Dim i , j as Integer

   printLog Chr(13) + "- Test Orientation"
   '/// Test Orientation

   Call hNewDocument

    Call wZeichenobjektEinfuegen("TEXT", 30, 40, 60, 60)
    Call wDokSchreiben "Test"
    Kontext "DocumentWriter"
    Call wDokSchreiben "<ESCAPE>"

   '/// format/fontwork
    FormatFontWork
    Kontext
    Kontext "Fontwork"

   '/// Test Orientation in Rotate
    Drehen.Click
    kreisAuswahl.TypeKeys "<Right>"
    Laufrichtgung.Click
    Sleep 2
    Laufrichtgung.Click

   '/// Test Orientation in Upright
    Aufrecht.Click
    kreisAuswahl.TypeKeys "<Right>"
    Laufrichtgung.Click
    Sleep 2
    Laufrichtgung.Click

   '/// Test Orientation in Horizontal
    HorizontalKippen.Click
    kreisAuswahl.TypeKeys "<Right>"
    Laufrichtgung.Click
    Sleep 2
    Laufrichtgung.Click

   '/// Test Orientation in Slant Vertical
    VertikalKippen.Click
    kreisAuswahl.TypeKeys "<Right>"
    Laufrichtgung.Click
    Sleep 2
    Laufrichtgung.Click

    Fontwork.Close

   Call hCloseDocument

endcase

'-------------------------------------------------------------------------

testcase tFontWork_3

   Dim i , j as Integer

   printLog Chr(13) + "- Test Align , include Left , Center, Right and Autosize ."
   '/// Test Align , include Left , Center, Right and Autosize

   Call hNewDocument

    Call wZeichenobjektEinfuegen("TEXT", 30, 40, 60, 60)
    Call wDokSchreiben "Test"
    Kontext "DocumentWriter"
    Call wDokSchreiben "<ESCAPE>"

   '/// format/fontwork
    FormatFontWork
    Kontext
    Kontext "Fontwork"

   '/// Test Align in Rotate
    Drehen.Click
    kreisAuswahl.TypeKeys "<Right>"
    Linksbuendig.Click
    Sleep 2
    Zentriert.Click
    Sleep 2
    Rechtsbuendig.Click
    Sleep 2

   '/// Test Align in Upright
    Aufrecht.Click
    kreisAuswahl.TypeKeys "<Right>"
    Linksbuendig.Click
    Sleep 2
    Zentriert.Click
    Sleep 2
    Rechtsbuendig.Click
    Sleep 2

   '/// Test Align in Horizontal
    HorizontalKippen.Click
    kreisAuswahl.TypeKeys "<Right>"
    Linksbuendig.Click
    Sleep 2
    Zentriert.Click
    Sleep 2
    Rechtsbuendig.Click
    Sleep 2

   '/// Test Align in Slant Vertical
    VertikalKippen.Click
    kreisAuswahl.TypeKeys "<Right>"
    Linksbuendig.Click
    Sleep 2
    Zentriert.Click
    Sleep 2
    Rechtsbuendig.Click
    Sleep 2

    Fontwork.Close

   Call hCloseDocument

endcase

'-------------------------------------------------------------------------

testcase tFontWork_4

   Dim sDistance , sIndent as String

   sDistance = "1" + seperator + "00" + measurementUnit
   sIndent   = "1" + seperator + "10" + measurementUnit

   printLog Chr(13) + "- Test distance and indent"
   '/// Test distance and indent

   Call hNewDocument

    Call wZeichenobjektEinfuegen("TEXT", 30, 40, 60, 60)
    Call wDokSchreiben "Test"
    Kontext "DocumentWriter"
    Call wDokSchreiben "<ESCAPE>"

   '/// format/fontwork , set distance and indent
    FormatFontWork
    Kontext
    Kontext "Fontwork"
     Drehen.Click
     Sleep 4
     kreisAuswahl.TypeKeys "<Right>"
     Sleep 5
     Linksbuendig.Click
     Sleep 5
     Abstand.SetText   sDistance
     Sleep 5
     Einzug.SetText    sIndent
     Sleep 5
    Fontwork.Close
    Sleep 5

    FormatFontWork
    Kontext
    Kontext "Fontwork"
      Sleep 2
      if Abstand.GetText <>  sDistance then Warnlog "Distance should be "+sDistance+"  but -> "+Abstand.GetText
      Sleep 2
      if Einzug.GetText  <>  sIndent   then Warnlog "Indent should be "+sIndent+"  but -> "+Einzug.GetText
      Sleep 2
    Fontwork.Close

   Call hCloseDocument

endcase

'-------------------------------------------------------------------------

testcase tFontWork_5

   printLog Chr(13) + "- Test Contour - include contour and text contour"
   '/// Test Contour - include contour and text contour

   Call hNewDocument

    Call wZeichenobjektEinfuegen("TEXT", 30, 40, 60, 60)
    Call wDokSchreiben "Test"
    Kontext "DocumentWriter"
    Call wDokSchreiben "<ESCAPE>"

   '/// format/fontwork
    FormatFontWork
    Kontext
    Kontext "Fontwork"
     Drehen.Click
     kreisAuswahl.TypeKeys "<Right>"
     Kontur.Click
     Buchstabenumrandung.Click
     Sleep 2
     Kontur.Click
     Buchstabenumrandung.Click
    Fontwork.Close

   Call hCloseDocument

endcase

'-------------------------------------------------------------------------

testcase tFontWork_6

 Dim sDistanceX , sDistanceY                    as String
 Dim sAngle     , SPercent                      as String
 Dim iVerticalShadowColor , iSlantedShadowColor as Integer

   Select case iSprache
         case 01   : sAngle = "140" + seperator + "0 degrees"
         case 33   : sAngle = "140" + seperator + "0 degrés"
         case 34   : sAngle = "140" + seperator + "0 Grados"
         case 39   : sAngle = "140" + seperator + "0 gradi"
         case 46   : sAngle = "140" + seperator + "0 grader"
         case 49   : sAngle = "140" + seperator + "0 Grad"
         case 55   : sAngle = "140" + seperator + "0graus"
         case 81   : sAngle = "140" + seperator + "0度"
         case 82   : sAngle = "140" + seperator + "0도"
         case 86   : sAngle = "140" + seperator + "0度"
         case 88   : sAngle = "140" + seperator + "0度"
         case else : QAErrorLog "Now, the test does not support for the language " +iSprache
                     Goto endsub
   end select

   sDistanceX = "1" + seperator + "00" + measurementUnit
   sDistanceY = "1" + seperator + "50" + measurementUnit
   SPercent   = "150%"
   iVerticalShadowColor = 3
   iSlantedShadowColor  = 4

   printLog Chr(13) + "- Test shadow - include vertical and slanted"
  '/// Test shadow - include vertical and slanted

   Call hNewDocument

    Call wZeichenobjektEinfuegen("TEXT", 30, 40, 60, 60)
    Call wDokSchreiben "Test"
    Kontext "DocumentWriter"
    Call wDokSchreiben "<ESCAPE>"

   '/// format/fontwork
    FormatFontWork
    Kontext
    Kontext "Fontwork"
     Drehen.Click
     Sleep 2
     kreisAuswahl.TypeKeys "<Right>"
     Sleep 2
     Zentriert.Click                        ' center
     Sleep 2

    'vertical shadow
     Senkrecht.Click
     Sleep 2
     AbstandX.SetText sDistanceX
     Sleep 2
     AbstandY.SetText sDistanceY
     Sleep 2
     Schattenfarbe.Select iVerticalShadowColor
     Sleep 2
    FontWork.Close
    Sleep 2

    FormatFontWork
    Kontext
    Kontext "Fontwork"
     Sleep 2
     if AbstandX.GetText            <> sDistanceX           then Warnlog "Distance X should be "+sDistanceX+"  but -> "+AbstandX.GetText
     Sleep 2
     if AbstandY.GetText            <> sDistanceY           then Warnlog "Distance Y should be "+sDistanceY+"  but -> "+AbstandY.GetText
     Sleep 2
     if Schattenfarbe.GetSelIndex   <> iVerticalShadowColor then Warnlog "Vertical shadow color is wrong."
     Sleep 2
    'Slanted shadow
     Kippen.Click
     Sleep 2

     printLog "-" + AbstandX.GetText
     AbstandX.SetText sAngle
     Sleep 2
     AbstandY.SetText SPercent
     Sleep 2
     Schattenfarbe.Select iSlantedShadowColor
     Sleep 2
    Fontwork.Close
    Sleep 2

    FormatFontWork
    Kontext
    Kontext "Fontwork"
     Sleep 2
     if AbstandX.GetText            <> sAngle              then Warnlog "Distance X should be "+sAngle+"  but -> "+AbstandX.GetText
     Sleep 2
     if AbstandY.GetText            <> SPercent            then Warnlog "Distance Y should be "+SPercent+"  but -> "+AbstandY.GetText
     Sleep 2
     if Schattenfarbe.GetSelIndex   <> iSlantedShadowColor then Warnlog "Slanted shadow color is wrong."
     Sleep 2
    Fontwork.Close

   Call hCloseDocument

endcase

'-------------------------------------------------------------------------
