'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: w_section_tools.inc,v $
'*
'*  $Revision: 1.2 $
'*
'*  last change: $Author: hde $ $Date: 2005/03/02 07:51:52 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/***********************************************************************
'*
'* owner : hercule.li@sun.com
'*
'* short description :
'*
'************************************************************************
'*
' #1 fInsertSection
' #1 fInsertBookmark
' #1 fInsertFootnote
' #1 fInsertEndnote
' #1 fInsertTable
' #1 fStartupNavigator
' #1 fCloseNavigator
' #1 fCheckDirectCursor
' #1 fMultiSelection
' #1 ConvertBacklashToSlash
' #1 CheckAsianLanguageSupport
' #1 GetSeperatorAndUnit
'*
'\***********************************************************************


'******************************************************
'* insert a section with name SectionName            **
'******************************************************
function fInsertSection(SectionName as string)
   InsertSection
   wait 500
   Kontext
   Active.Setpage TabBereiche
   Kontext "TabBereiche"
   Bereichsliste.Settext SectionName
   TabBereiche.OK
   wait 500
end function

'******************************************************
'* insert a bookmark with name                       **
'******************************************************
function fInsertBookmark(BookmarkName as string)

    InsertBookmark
    Kontext
    Kontext "TextmarkeEinfuegen"
    Textmarken.SetText BookmarkName
    TextmarkeEinfuegen.OK

end function


'******************************************************
'*    insert a footnote                              **
'******************************************************
function fInsertFootnote(Numbering as string , ConTentInCharater as String)

   InsertFootnote
   Kontext "FussnoteEinfuegen"

   ' check footnote
   Fussnote.Check

   Select Case Numbering
    Case "automatic" : Automatisch.Check
    Case "character" : Zeichen.Check
                       ZeichenText.SetText ConTentInCharater
    Case else : Warnlog "Maybe new options! :-)"
                Automatisch.Check
   end select

   FussnoteEinfuegen.OK

end function


'******************************************************
'* insert a endnote                                  **
'******************************************************
function fInsertEndnote(Numbering as string , ConTentInCharater as String)

   InsertFootnote
   Kontext "FussnoteEinfuegen"

   ' check endnote
   Endnote.Check

   Select Case Numbering
    Case "automatic" : Automatisch.Check
    Case "character" : Zeichen.Check
                       ZeichenText.SetText ConTentInCharater
    Case else : Warnlog "Maybe new options! :-)"
                Automatisch.Check
   end select

   FussnoteEinfuegen.OK

end function


'******************************************************
'* insert a table with name TableName                **
'* Column is table's column's number                 **
'* Row    is table's row   's number                 **
'******************************************************
function fInsertTable(TableName as string, ColumnNumber as string, RowNumber as string)

   InsertTableWriter
   Sleep 1
   Kontext "TabelleEinfuegenWriter"
   TabellenName.SetText TableName

   Spalten.SetText ColumnNumber
   Zeilen.SetText  RowNumber

   TabelleEinfuegenWriter.OK

end function


'****************************************************************
'* Start up Navigator , and set focus to the correct position  **
'*                                                             **
'*    navigatorItem is the position you want to get to         **
'*    0: Headings                                              **
'*    1: Tables                                                **
'*    2: Text frame                                            **
'*    3: Graphics                                              **
'*    4: OLE objects                                           **
'*    5: Bookmarks                                             **
'*    6: Section                                               **
'*    7: Hyperlinks                                            **
'*    8: References                                            **
'*    9: Indexes                                               **
'*   10: Notes                                                 **
'*   11: Draw ojbects                                          **
'****************************************************************

function fStartupNavigator(navigatorItem as Integer, subItemNum as Integer)

   Dim j as Integer

   Kontext "Navigator"
   ' If you don' t ask for the Navigator and it's open it would be clodes and test fails !
   if Not Navigator.Exists then EditNavigator
   Kontext "NavigatorWriter"

   ' If ListCount < 11 then Inhaltsansicht is visible
   if Auswahlliste.GetItemCount < 11 then Inhaltsansicht.Click
   ' Goto first entry in navigator
   Auswahlliste.TypeKeys "<Home>"
   ' Switch to group view
   if Auswahlliste.GetItemCount >11 then
       'Close all groups
       For j= 1 to 12
        Auswahlliste.Select j
        Auswahlliste.TypeKeys "-"
       next j
   endif

   ' Goto first entry in navigator
   Auswahlliste.TypeKeys "<Home>"
   ' Select group in navigator
   Auswahlliste.TypeKeys "<down>", navigatorItem
   ' Open group in Navigator
   Auswahlliste.TypeKeys "<+>"

   Inhaltsansicht.Click
   Auswahlliste.TypeKeys "<Up>",subItemNum

end function


'*******************************************************
'* Close Navigator                                    **
'*******************************************************
function fCloseNavigator

   Kontext
   Kontext "Navigator"
   try
    Navigator.Close
   catch
    Warnlog "Could not close Navigator!"
   endcatch

end function

'*******************************************************
'*  Open options and check 'Direct-Cursor' in options **
'*******************************************************
function fCheckDirectCursor

    ToolsOptions
    Call hToolsOptions("TextDocument","FormattingAids")
    Zonen_Cursor.Check
    Kontext "ExtrasOptionenDlg"
    ExtrasOptionenDlg.OK

end function


'*********************************************************
'*  This function is evaluated multisection             **
'*  selectString is the selected string in the text     **
'*  There must be more than 2 selectStrings in the text **
'*********************************************************
function fMultiSelection(selectedString as String)

   Kontext
   EditSearchAndReplace
   Kontext "FindAndReplace"

   SearchFor.SetText selectedString
   SearchAll.Click
   Sleep 1

   FindAndReplace.Close

end function

'--------------------------------------------------------

function ConvertBacklashToSlash ( sDatei$ ) as String
   Dim s1$ : Dim s2$ : Dim s3$
   Dim i as Integer

   s1$ = sDatei$

  'convert all \ to /
      do
         i = InStr( s1$, "\" )
         if i = 0 then exit do
         s2$ = Left( s1$ , i-1 )
         s1$ = Mid( s1$ , i+1 )
         s3$ = s3$ + s2$ + "/"
      loop until s1$=""
      s1$ = s3$ + s1$

   ConvertBacklashToSlash = s1$

end function

'----------------------------------------------------------

function CheckCTLSupport( sSupport as String )  as String

'/// This function will check Complex text Layout (CTL) Support on/off based on the parameter

   ToolsOptions
   Call hToolsOptions("LANGUAGESETTINGS","LANGUAGES")

    if sSupport = "On" then
       ComplexScriptEnabled.Check
    else
       ComplexScriptEnabled.UnCheck
    end if
    Sleep 1

    Kontext "ExtrasOptionenDlg"
   ExtrasOptionenDlg.OK

end function

'--------------------------------------------------

function GetSeperatorAndUnit() as String

   'This function is to check the Seperator is "," or "."
   'meanwhile , is to check unit for different languages

   dim i1, i2  as integer
   dim sDummy as String

   ToolsOptions
   Call hToolsOptions("Textdocument","General")
    Sleep 1
    Masseinheit.Select 2   'Change to cm unit'
    Sleep 1
    sDummy = Tabulatorenabstand.GetText
    Kontext "ExtrasOptionenDlg"
   ExtrasOptionenDlg.OK

  ' get seperator
   i1 = instr (sDummy, ",")
   i2 = instr (sDummy, ".")
   if i1 > i2 then seperator = "," else seperator = "."

  ' get unit
   if isNumeric (right (sDummy, 1)) then
      measurementUnit = ""
   else
      '/// the only single character is '"' all others are two chars ///
      if (  StrComp (right (sDummy, 1), chr$(34) ) = 0 ) then
         measurementUnit = right (sDummy, 1)
      else
         if iSprache = "81" then
            measurementUnit = right (sDummy, 3)
         else
            measurementUnit = right (sDummy, 2)
         end if
      end if
   end if

end function
