'*************************************************************************
'*
'*  $RCSfile: w_008_.inc,v $
'*
'*  $Revision: 1.2 $
'*
'*  last change: $Author: hde $ $Date: 2004/08/20 13:14:05 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/******************************************************************
'*                                                                **
'* owner : helge.delfs@sun.com                                    **
'*                                                                **
'* short description :                                            **
'*                                                                **
'\******************************************************************

sub w_008_
    printLog Chr(13) + "--------- Window Menu (w_008_.inc) ----------"

    Call tWindowNewWindow
'   Call tWindowTest
'   Call tWindowCloseAll

end sub

'-----------------------------------------------------------

testcase tWindowNewWindow
    PrintLog "- Window / New Window"
    if gApplication = "HTMLDOKUMENT" then
        printlog "Not in WriterWeb !"
        goto endsub
    endif
    Call hNewDocument
    '/// Open new document ///
    Call hTabelleEinfuegen
    '/// Insert Table ///
    WindowNewWindow
    '/// Window / New Window ///
    Sleep 2
    Call hCloseDocument
    '/// Close active document ///

endcase

'-----------------------------------------------------------

testcase tWindowTest
    Dim i% : Dim Counter%

    PrintLog "- Window / Test the windows"

    Call hNewDocument
    '/// Open new document ///
    Call wDokSchreiben ("Dies ist das 1. Dokument")
    Call hNewDocument
    '/// Open new document ///
    Call wDokSchreiben ("Dies ist das 2. Dokument")
    Sleep 2
    FensterUeberlappend
    Sleep 2
    FensterNebeneinander
    Sleep 2
    FensterHorizontal
    Sleep 2
    FensterVertikal
    Sleep 2
    FensterAlleSchliessen

    Counter%=0
    for i%=1 to 3
        Kontext
        if Active.Exists(1) then
            Active.No
            Counter% = Counter% + 1
        else
            Sleep (2)
        end if
    next i%
    if Counter% <> 2 then Warnlog "Es kamen nicht 2 Meldungen zum Schlieen eines vernderten Dokumentes!"
endcase

'-----------------------------------------------------------

testcase tWindowCloseAll
    Dim i% : Dim Counter%

    PrintLog "- Window / Close all"

    Call hNewDocument
    Call wDokSchreiben ("Dies ist das 1. Dokument")

    Call hNewDocument
    Call wDokSchreiben ("Dies ist das 2. Dokument")
    FensterAlleSchliessen

    Kontext "Active"
    Active.No

    Sleep 2
    Active.No
endcase
