'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: b_lvl1_Text.bas,v $
'*
'*  $Revision: 1.2 $
'*
'*  last change: $Author: msc $ $Date: 2004/12/14 10:43:21 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/***********************************************************************
'*
'* owner : marc.neumann@sun.com
'*
'* short description : Create Text DS & further standard db tests
'*
'\***********************************************************************
sub main
    printlog "---------------------------------------------------------------------"
    printlog "---   B A S E    L E V E L - 1           Text Table - T E S T     ---"
    printlog "---------------------------------------------------------------------"

    Dim startes
    startes = Now

    call hStatusIn ("BASE" , "b_lvl1_Text.bas" , "Base Level 1 Test: Textdatabase" )
    
    Dim sFileName as string
	sFileName = gOfficePath + "user/work/TT_Text.odb"
    
    Dim sDBURL as string
	sDBURL = "user\work"
   
        'needed for: tQuery testcase - query file is copied in the work directory
        app.FileCopy gTesttoolPath + ConvertPath("base\level1\input\text_datasource\TT_Query1.txt"),gOfficePath + ConvertPath("user\work\TT_Query1.txt")
   
   		dim dbok as boolean
   		dbok = false
        dbok = fCreateTextDatasource(sFileName, gOfficePath + ConvertPath(sDBURL))
        if dbok = true then
        
            use "base\level1\inc\b_lvl1_Query.inc"
            call b_lvl1_Query(sFileName, "text")
            
            'use "base\level1\inc\b_lvl1_Forms.inc"
            'call Forms_Test (sFileName)
            
		else
			warnlog "Data Source could not be created - beyond testcases stopped"
		endif
       
    call hStatusOut
    
	printlog "---------------------------------------------------------------------"
	printlog "End: " & Date & ", " & Time & ". (" & wielange(Startes) & ")"
	printlog "---------------------------------------------------------------------"
end sub


sub LoadIncludeFiles
   use "global\system\inc\master.inc"
   use "global\system\inc\gvariabl.inc"
   use "base\tools\dbinit.inc"
   Call sDBInit
   Call GetUseFiles
   gApplication   = "WRITER"
end sub
