'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: c_101b_.inc,v $
'*
'*  $Revision: 1.1 $
'*
'*  last change: $Author: pj $ $Date: 2004/05/19 10:10:08 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/***********************************************************************
'*
'* owner : peter.junge@Sun.COM
'*
'* short description : Check if an excel document is properly loaded
'*
'************************************************************************
'*
' #1 C_101b_     ' Initial routine
' #1 tFileOpenExceldocument
'*
'\***********************************************************************

sub C_101b_

Printlog "--------- C_101b_ ---------"

   call tFileOpenExceldocument

End sub

testcase tFileOpenExceldocument
'/// In this testcase an excel document is loaded and checked, if the defined ///
'/// properties are correct imported. ///

    dim path_rel as string
    dim location as string
    path_rel = convertpath("calc\level1\input\c_101b")
'/// Load the document "gTesttoolpath+calc\level1\input\c_101b\format.xls"
    call hDateiOeffnen (gTesttoolpath & path_rel & "format.xls")
    Kontext "DocumentCalc"
    DocumentCalc.TypeKeys "<Mod1 Home>"
'/// Go to the cell 'A1',call the formatcells dialog and select the tabpage 'TabNumbers'
'/// Check if the Categoryentry has the third and the numberformat has the first index
    FormatCells
    Kontext
    Active.SetPage TabZahlen
    Kontext "TabZahlen"
    if Kategorie.GetSelIndex = 3 And Zahlenformat.GetSelIndex = 1 then
      printlog "OK, numberformat of cell " & wobinich & " was taken over"
    else
      warnlog "numberformat of cell " & wobinich & "wasn't taken over"
    end if
    print
    Kontext
'/// Select the tabpage 'TabFont' and check if the Fontname is "Bookman Old Style" and the fontcolor
'/// has the index 14.
    Active.Setpage TabFont
    Kontext "TabFont"
    if FontWest.GetSelText = "Bookman Old Style" and FontColor.GetSelIndex = 14 then
         printlog "OK, all characteristics from cell " &  wobinich  & " were taken over"
    else
            warnlog "Font of cell " & wobinich & " is " & FontWest.GetSelText & " Current is Bookman Old Style."
            warnlog "FontColor is " &  FontColor.GetSelIndex & " Current is 14."
    end if
    TabFont.OK
'/// Got to cell 'A2' and check if the Fontname is "Chevara", the style has the third index
'/// and if the fontcolor has the fourth index.
    Kontext "DocumentCalc"
    DocumentCalc.TypeKeys "<down>"
    FormatCells
    Kontext
    Active.SetPage TabFont
    Kontext "TabFont"
    if FontWest.GetSelText = "Chevara" and StyleWest.GetSelIndex = 3 and FontColor.GetSelIndex = 4 then
      printlog "OK, all characteristics from cell " & wobinich & " were taken over"
    else
      warnlog "Fonts from cell " & wobinich & " is " & FontWest.GetSelText & " Current is Chevara."
      warnlog "FontStyle is " &  StyleWest.GetSelIndex & " Current is 3."
      warnlog "FontColor is " &  FontColor.GetSelIndex & " Current is 4."
    end if
    TabFont.OK
'/// Go to cell 'A3' and check if the Fontname is "Conga", if the style has the fourth index
'/// and if the fontcolor has the eleventh index
    Kontext "DocumentCalc"
    DocumentCalc.TypeKeys "<down>"
    FormatCells
    Kontext
    Active.SetPage TabFont
    Kontext "TabFont"
    if FontWest.GetSelText = "Conga" and StyleWest.GetSelIndex = 4 and FontColor.GetSelIndex = 11 then
      printlog "OK, fonts from cell " & wobinich & " were taken over"
    else
      warnlog "Fonts from cell " & wobinich & " is " & FontWest.GetSelText & " Current is Conga."
      warnlog "FontStyle is " &  StyleWest.GetSelIndex & " Current is 4."
      warnlog "FontColor is " &  FontColor.GetSelIndex & " Current is 11."
    end if
    TabFont.OK

    call hCloseDocument

endcase

