'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: c_option.inc,v $
'*
'*  $Revision: 1.3 $
'*
'*  last change: $Author: pj $ $Date: 2005/01/25 18:42:35 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/***********************************************************************
'*
'* owner : peter.junge@Sun.COM
'*
'* short description : 
'*
'************************************************************************
'*
' #1 c_option           ' Initial routine
' #1 tOptionsAllOptions ' Check existence of all pages in tools->options->spreadsheet 
'*
'\***********************************************************************
global iSectionNumber as Integer
sub c_option

        printLog Chr(13) + "--------- c_option ---------"

        call tOptionsAllOptions

end sub

'*********************************************************************************************************

testcase tOptionsAllOptions
'/// Check the existence of all pages in Tools->Options->Spreadsheet->

    dim realCount as Integer, i as Integer
    dim pageFound as Boolean
    dim pagecounter as integer
    
    pagecounter = 7
    iSectionNumber = 7


    PrintLog "***Tools/Options/Spreadsheet***"

        Call hNewDocument

        printlog "First all tabpages are called once"

        ToolsOptions
        ToPosInOptionlist(4)
        realCount = OptionTabPageZaehler ( pagecounter, FALSE )

        for i = 1 to pagecounter
        pageFound = FALSE
        Kontext "OptionenDlg"
        printlog "Optionsliste.GetItemCount " & Optionsliste.GetItemCount
        Optionsliste.TypeKeys "<Down>"
        select case i
        '///+ General
        case 1 :Kontext "TabLayoutCalc"
                    printlog "* General"
                if TabLayoutCalc.IsVisible then
                        pageFound = TRUE
                        Call DialogTest ( TabLayoutCalc )
                end if
        '///+ View
        case 2 :Kontext "TabInhaltCalc"
                printlog "* View"
                if TabInhaltCalc.IsVisible then
                        pageFound = TRUE
                        Call DialogTest ( TabInhaltCalc )
                end if
        '///+ Calculate
        case 3 :Kontext "TabBerechnen"
                printlog "* Calculate"
                if TabBerechnen.IsVisible then
                   pageFound = TRUE
                   Call DialogTest ( TabBerechnen )
                end if
        '///+ Sort Lists
        case 4 :Kontext "TabSortierlisten"
                printlog "* Sort Lists"
                if TabSortierlisten.IsVisible then
                        pageFound = TRUE
                        Call DialogTest ( TabSortierlisten )
                end if
        '///+ Changes
        case 5 :Kontext "TabAenderungenCalc"
                printlog "* Changes"
                if TabAenderungenCalc.IsVisible then
                   pageFound = TRUE
                   Call DialogTest ( TabAenderungenCalc )
                end if
        '///+ Grid
        case 6 :Kontext "TabRaster"
                printlog "* Grid"
                if TabRaster.IsVisible then
                   pageFound = TRUE
                   Call DialogTest ( TabRaster )
                end if
        '///+ Print
        case 7 :Kontext "TabPrintCalcOptions"
                printlog "* Print"
                if TabPrintCalcOptions.IsVisible then
                   pageFound = TRUE
                   Call DialogTest ( TabPrintCalcOptions )
                end if

    end select
    if pageFound=FALSE then
        Warnlog "Error with the " + i + ".page, perhaps this page is deleted or change the place!"
        realCount = realCount - 1
        if realCount < pagecounter then
                i=7
        else
            i=1-1
        end if
    end if
    next i
    Kontext "OptionenDlg"
    OptionenDlg.Cancel

    Call hCloseDocument

endcase
