'encoding UTF-8	 Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: un_redo_tools.inc,v $
'*
'*  $Revision: 1.1 $
'*
'*  last change: $Author: pj $ $Date: 2004/05/03 10:36:30 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/***********************************************************************
'*
'* owner : peter.junge@Sun.COM
'*
'* short description	:	Complete Test for the undo/redo function which test
'*
'************************************************************************
'*
' #0 Del_routine     ' Uncheck all options in Delete content ...
' #0 Undo_function   ' Enhanced Edit -> Undo
' #0 Redo_function   ' Enhanced Edit -> Redo
' #0 Text_dialog     ' Set Tabpage Text
' #0 Counter_dialog  ' Call numbering bullets
' #0 Line_dialog     ' Tab Line
'*
'\***********************************************************************

Sub Del_routine

	EditSelectAll
	Kontext "DocumentCalc"
	DocumentCalc.TypeKeys "<Delete>"
	Kontext "InhalteLoeschen"
	Alles.Uncheck
	Zeichenketten.Uncheck
	Zahlen.Uncheck
	DatumZeit.Uncheck
	Formeln.Uncheck
	Notizen.Uncheck
	Formate.Uncheck
	Objekte.Uncheck

End sub

Sub Undo_function

	printlog "* Check the undo-function"
   EditUndo
   Kontext "DocumentCalc"
   DocumentCalc.TypeKeys "<Mod1 Home>"

End sub

Sub Redo_function

	printlog "Check the redo-function"
   EditRedo
   Kontext "DocumentCalc"
	DocumentCalc.TypeKeys "<Mod1 Home>"

End Sub

Sub Text_dialog

	Kontext
   active.setpage TabText
   Kontext "TabText"
   TabText.Cancel

End Sub

Sub Counter_dialog

	FormatNumberingBullets
	Kontext
   active.setpage TabBullet
   Kontext "TabBullet"

End Sub

Sub Line_dialog

	Kontext
	active.setpage TabLinie
	Kontext "TabLinie"
	TabLinie.Cancel

End Sub
