'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: c_UpdateToolsDialog.inc,v $
'*
'*  $Revision: 1.2 $
'*
'*  last change: $Author: pj $ $Date: 2005/02/11 16:27:26 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/***********************************************************************************************
'*
'* owner : peter.junge@sun.com
'*
'* short description : Tools for calc update test
'*
'*************************************************************************************************
'*
' #1 subTestFileOpenDialog
'*
'\************************************************************************************************

sub subTestFileOpenDialog ( optional bCloseIt as BOOLEAN )
'///<u><b>Test file open dialog in spreadsheet with minimum requirements</b></u>///
'///+ <b>NOTE: 'File Open' dialog must be opened in calling routine</b>///
'///+ Use parameter 'bCloseIt' to choose if the dialog should be closed at the end of the routine.///
'///<ul>
    if IsMissing ( bCloseIt ) then
        bCloseIt = TRUE
    endif
    Kontext "OeffnenDLG"
        '///<li>First run subroutine 'DialogTest' to check existence</li>///
        Call DialogTest ( OeffnenDLG )
        '///<li>Click 'New directory' button</li>///
        NeuerOrdner.Click
        Kontext "NeuerOrdner"
        '///<li>Cancel 'New directory' dialog</li>///
            NeuerOrdner.cancel
        Kontext "OeffnenDLG"
        '///<li>Click 'Move up one directory level' button</li>///
        UebergeordneterOrdner.Click
        '///<li>Click 'Default directory' button</li>///
        Standard.Click
        '///<li>Quit 'file open' dialog</li>///
        if bCloseIt then
            OeffnenDLG.Cancel
        endif
'///</ul>
end sub
