'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: g_dimensions.inc,v $
'*
'*  $Revision: 1.4 $
'*
'*  last change: $Author: fredrikh $ $Date: 2005/07/01 09:02:29 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/*******************************************************************
'*
'* Owner : fredrik.haegg@sun.com
'*
'* short description :
'*
'***********************************************************************************
'*
' #1 tdFormatDimensioning
'*
'\***********************************************************************************

Sub testFormatDimensioning

call tdFormatDimensioning

End Sub

testcase tdFormatDimensioning
   Dim ZaehlerMetrik
   Dim i

   Call hNewDocument

   '/// Set min and max values for dimensioning ///'
   FormatDimensioning
   Kontext "Bemassung"
      LinienDistanz.ToMin
      PrintLog  LinienDistanz.GetText + " = minimum value"
      LinienDistanz.ToMax
      PrintLog  LinienDistanz.GetText + " = maximum value"

      HLUeberhang.ToMin
      PrintLog HLUeberhang.GetText + " = minimum value"
      HLUeberhang.ToMax
      PrintLog HLUeberhang.GetText + " = maximum value"

      HLDistanz.ToMin
      PrintLog HLDistanz.GetText + " = minimum value"
      HLDistanz.ToMax
      PrintLog HLDistanz.GetText + " = maximum value"

      LinkeHL.ToMin
      PrintLog LinkeHL.GetText + " = minimum value"
      LinkeHL.ToMax
      PrintLog LinkeHL.GetText + " = maximum valuet"

      RechteHL.ToMin
      PrintLog RechteHL.GetText + " = minimum value"
      RechteHL.ToMax
      PrintLog RechteHL.GetText + " = maximum value"

      '/// set every metric unit ///'
      MetrikList.GetItemCount
      ZaehlerMetrik=MetrikList.GetItemCount
      for i = 1 to ZaehlerMetrik
         MetrikList.Select i
         PrintLog MetrikList.GetSelText + " set"
      next i
      '/// check show unit ///'
      MetrikAnzeigen.Check
      '/// check "below reference edge ///'
      AnzeigeUnterhalb.Check
      '/// check parallel ///'
      AnzeigeParallel.Check
      '/// check automatic vertical ///'
      AutomatischHorizontal.Check
      '/// check automatic horizontal ///'
      AutomatischVertikal.Check
      sleep 2
   Bemassung.OK

   '/// control value changes and checkbox states ///'
   FormatDimensioning
   Kontext "Bemassung"
      MetrikAnzeigen.GetState
      AnzeigeUnterhalb.GetState
      AnzeigeParallel.GetState
      AutomatischHorizontal.GetState
      AutomatischVertikal.GetState
      if MetrikAnzeigen.GetState = 1 Then
         PrintLog "  show metric works"
      else
         WarnLog "  show metric does not work"
      end if
      if AnzeigeUnterhalb.GetState= 1 Then
         PrintLog "  AnzeigeUnterhalb does work"
      else
         WarnLog "  TriStateBox AnzeigeUnterhalb does not work"
      end if
      if AnzeigeParallel.GetState= 1 Then
         PrintLog "  AnzeigeParallel does work"
      else
         WarnLog "  TriStateBox AnzeigeParallel does not work properly"
      end if
   Bemassung.OK
   Call hCloseDocument
endcase

