'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: w_fields1.inc,v $
'*
'*  $Revision: 1.5 $
'*
'*  last change: $Author: hli $ $Date: 2005/03/11 09:12:46 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/***********************************************************************
'*
'* owner : hercule.li@sun.com
'*
'* short description : Fields general test
'*
'************************************************************************
'*
' #1 tFields_1           'Insert / Fields / Date
' #1 tFields_2           'Insert / Fields / Time
' #1 tFields_3           'Insert / Fields / Page Number
' #1 tFields_4           'Insert / Fields / Page Count
' #1 tFields_5           'Insert / Fields / Subject
' #1 tFields_6           'Insert / Fields / Title
' #1 tFields_7           'Insert / Fields / Author
' #0 fSetLocale
' #0 fSetWestern
' #0 fSetAsian
' #0 fGetType
' #0 fGetFieldContent
' #0 fGetDate
' #0 fGetDate1
'*
'\***********************************************************************

testcase tFields_1

  Dim sDate , sDate1 , sDate2 as String

  sDate  = Date
  sDate1 = Left (sDate , 6)
  sDate2 = Right(sDate , 2)
  sDate  = sDate1 & sDate2

  printlog "Insert / Fields / Date"
 '/// <b> Insert / Fields / Date </b>
 '/// <b> Default should be mm/dd/yy </b>

  Call hNewDocument

  '/// Insert / Fields / Date , the 1st date is fixed
   InsertFieldsDate

  '/// Return
   Call wDokSchreiben "<Return>"

  '/// Insert / Fields / Date
   InsertFieldsDate

   Call wDokSchreiben "<Home>"

  '/// Set 2nd date only to be date , not fixed
  '/// In 2nd date , Edit / Fields , select date in 'select'
   EditFields
   Kontext "FeldbefehlBearbeitenDokument"
     Auswahl.Select 2
     Sleep 2
   FeldbefehlBearbeitenDokument.OK

  '/// Check if the date is correct
   Call wDokSchreiben "<MOD1 Home>"
   Call wDokSchreiben "<Shift Right>"
   EditCopy
   if GetClipboardText <> sDate then
       Warnlog "Fixed date is wrong ! Hope you don't run this case in the midnight"
   end if

   Call wDokSchreiben "<Down><Home>"
   Call wDokSchreiben "<Shift Right>"
   EditCopy
   if GetClipboardText <> sDate then
       Warnlog "Date is wrong ! Hope you don't run this case in the midnight"
   end if

  Call hCloseDocument

endcase

'-----------------------------------------------------------------

testcase tFields_2

  Dim sTime , sTime1 , sTime2 as String
  Dim sTemp                   as String

  printlog "Insert / Fields / Time"
 '/// <b> Insert / Fields / Time </b>
 '/// <b> Default should be hh/mm/ss pm </b>

  Call hNewDocument

   sTime = Time
   sTemp = Right(sTime , 2)  'It should get am or pm

  '/// Insert / Fields / Time , the 1st time is fixed
   InsertFieldsTime

  '/// Return
   Call wDokSchreiben "<Return>"

  '/// Insert / Fields / Time
   InsertFieldsTime

   Call wDokSchreiben "<Home>"

  '/// Set 2nd time only to be time , not fixed
  '/// In 2nd time , Edit / Fields , select Time in 'select'
   EditFields
   Kontext "FeldbefehlBearbeitenDokument"
     Auswahl.Select 2
     Sleep 2
   FeldbefehlBearbeitenDokument.OK

  '/// Check if the time is correct
   Call wDokSchreiben "<MOD1 Home>"
   Call wDokSchreiben "<Shift Right>"
   EditCopy
   sTime1 = GetClipboardText
   if Len(sTime1)       <> 11    then Warnlog "Fixed time is wrong !"
   if Right(sTime1 , 2) <> sTemp then Warnlog "Fixed time is wrong ! , Hope you don't run this case in the midnight"

   Call wDokSchreiben "<Down><Home>"
   Call wDokSchreiben "<Shift Right>"
   EditCopy
   sTime2 = GetClipboardText
   if Len(sTime2)       <> 11    then Warnlog "Time is wrong !"
   if Right(sTime2 , 2) <> sTemp then Warnlog "Time is wrong ! , Hope you don't run this case in the midnight"

   printlog "Stop for a while ..."
  '/// Stop for  a while , check if the time is still correct
   Sleep 5
   Call wDokSchreiben "<MOD1 Home>"
   Call wDokSchreiben "<Shift Right>"
   EditCopy
   if GetClipboardText <> sTime1 then Warnlog "Fixed time is wrong !"

   Call wDokSchreiben "<Down><Home>"
   Call wDokSchreiben "<Shift Right>"
   EditCopy
   if GetClipboardText = sTime2  then Warnlog "Time is wrong !"

 Call hCloseDocument

endcase

'-----------------------------------------------------------------

testcase tFields_3

  Dim sPage1 , sPage2 as String

  sPage1 = "1" : sPage2 = "2"

  printlog "Insert / Fields / Page Number"
 '/// <b> Insert / Fields / Page Number </b>

  Call hNewDocument

  '/// In 1st page , Insert / Fields / Page Number
   InsertFieldsPageNumbers

  '/// Insert a page break
   InsertManualBreak
   Sleep 2
   kontext "UmbruchEinfuegen"
     Seitenumbruch.check
   UmbruchEinfuegen.OK

  '/// In 2nd page , Insert / Fields / Page Number
   InsertFieldsPageNumbers

   Call wDokSchreiben "<MOD1 Home>"

  '/// Check if the page number is correct
   Call wDokSchreiben "<Shift Right>"
   ToolsCalculate
   if GetClipboardText <> sPage1 then
       QAErrorLog "#i31214# The 1st page number isn't correct !"
   end if

   Call wDokSchreiben "<MOD1 End>"
   Call wDokSchreiben "<Shift Left>"
   ToolsCalculate
   if GetClipboardText <> sPage2 then
       Warnlog "The 2nd page number isn't correct !"
   end if

 Call hCloseDocument

endcase

'-----------------------------------------------------------------

testcase tFields_4

  Dim sPage1 , sPage2  as  String

  sPage1 = "1" : sPage2 = "2"

  printlog "Insert / Fields / Page Count"
 '/// <b> Insert / Fields / Page Count </b>

  Call hNewDocument

  '/// In 1st page , Insert / Fields / Page Count
   InsertFieldsPageCount

   Call wDokSchreiben "<MOD1 Home>"

  '/// Check if the 1st page count is correct
   Call wDokSchreiben "<Shift Right>"
   ToolsCalculate
   if GetClipboardText <> sPage1 then
       Warnlog "1-The 1st page count isn't correct !"
   end if
   Call wDokSchreiben "<End>"

  '/// Insert a page break
   InsertManualBreak
   Sleep 2
   kontext "UmbruchEinfuegen"
     Seitenumbruch.check
   UmbruchEinfuegen.OK

  '/// In 2nd page , Insert / Fields / Page Count
   InsertFieldsPageCount

   Call wDokSchreiben "<MOD1 Home>"

  '/// Check if the page count is correct
   Call wDokSchreiben "<Shift Right>"
   ToolsCalculate
   if GetClipboardText <> sPage2 then
       Warnlog "2-The 1st page count isn't correct"
   end if

   Call wDokSchreiben "<MOD1 End>"
   Call wDokSchreiben "<Shift Left>"
   ToolsCalculate
   if GetClipboardText <> sPage2 then
       Warnlog "The 2nd page count isn't correct !"
   end if

 Call hCloseDocument

endcase

'-----------------------------------------------------------------

testcase tFields_5

  Dim sSubject  as  String

  sSubject = "This is a Subject"

  printlog "Insert / Fields / Subject"
 '/// <b> Insert / Fields / Subject </b>

  Call hNewDocument

  '/// File / Properties / Description , input some
  '/// + text in Subject
   Call fFileProperties("TabBeschreibung")
     Thema.Settext sSubject
   TabBeschreibung.OK

  '/// Insert / Fields / Subject
   InsertFieldsSubject

  '/// Check if the subject is correct
   Call wDokSchreiben "<Shift Left>"
   EditCopy
   if GetClipboardText <> sSubject then
       Warnlog "Subject isn't correct !"
   end if

 Call hCloseDocument

endcase

'-----------------------------------------------------------------

testcase tFields_6

  Dim sTitle  as  String

  sTitle = "This is a Title"

  printlog "Insert / Fields / Title"
 '/// <b> Insert / Fields / Title </b>

  Call hNewDocument

  '/// File / Properties / Description , input some
  '/// + text in Title
   Call fFileProperties("TabBeschreibung")
     Titel.Settext sTitle
   TabBeschreibung.OK

  '/// Insert / Fields / Title
   InsertFieldsTitle

  '/// Check if the title is correct
   Call wDokSchreiben "<Shift Left>"
   EditCopy
   if GetClipboardText <> sTitle then
       Warnlog "Title isn't correct !"
   end if

 Call hCloseDocument

endcase

'-----------------------------------------------------------------

testcase tFields_7

  Dim sFirstName  , sLastName  as String
  Dim sFirstName1 , sLastName1 as String

  sFirstName1 = "Test1" : sLastName1 = "Test2"

  printlog "Insert / Fields / Author"
 '/// <b> Insert / Fields / Author </b>

  Call hNewDocument

  '/// Change author to author :Test2 Test1
   ToolsOptions
   Call hToolsOptions("STAROFFICE","USERDATA")
     sFirstName = VorName.GetText
     sLastName  = ZuName.GetText
     VorName.SetText sFirstName1
     ZuName.SetText  sLastName1
     Kontext "ExtrasOptionenDlg"
   ExtrasOptionenDlg.OK

  '/// File / Properties / General , check "Apply user
  '/// + data" , click "delete" button
   Call fFileProperties("TabDokument")
     BenutzerdatenVerwenden.Check
     Sleep 1
     Loeschen.Click
     Sleep 1
   TabDokument.OK

  '/// Insert / Fields / Author
   InsertFieldsAuthor

  '/// Check if the title is correct
   Call wDokSchreiben "<Shift Left>"
   EditCopy
   if GetClipboardText <> (sFirstName1 + " " + sLastName1) then
       Warnlog "Author isn't correct !"
   end if

  'Recover author to default
   ToolsOptions
   Call hToolsOptions("STAROFFICE","USERDATA")
     VorName.SetText sFirstName
     ZuName.SetText  sLastName
     Kontext "ExtrasOptionenDlg"
   ExtrasOptionenDlg.OK

 Call hCloseDocument

endcase

'-----------------------------------------------------------------

function fSetLocale(sLocaleSetting as String)  as String

 'This function is set Locale in Tools/Options/Language Settings / Languages
  ToolsOptions
  Call hToolsOptions("LANGUAGESETTINGS","LANGUAGES")
    fSetLocale = Gebietsschema.GetSelText
    Gebietsschema.Select  sLocaleSetting
  Kontext "ExtrasOptionenDlg"
  ExtrasOptionenDlg.OK

end function

'----------------------------------------------------

function fSetWestern(sWestern as String)  as String

 'This function is set western language in Tools/Options/Language Settings / Languages
  ToolsOptions
  Call hToolsOptions("LANGUAGESETTINGS","LANGUAGES")
    fSetWestern = Westlich.GetSelText
    if sWestern = "Null" then
        Westlich.Select  1
        goto GoON
    end if
    Westlich.Select  sWestern
GoON:
  Kontext "ExtrasOptionenDlg"
  ExtrasOptionenDlg.OK

end function

'----------------------------------------------------

function fSetAsian(sAsian as String)  as String

 'This function is set CJK language in Tools/Options/Language Settings / Languages
  ToolsOptions
  Call hToolsOptions("LANGUAGESETTINGS","LANGUAGES")
    fSetAsian = Asiatisch.GetSelText
    if sAsian = "Null" then
        Asiatisch.Select  1
        goto GoON
    end if
    Asiatisch.Select  sAsian
GoON:
  Kontext "ExtrasOptionenDlg"
  ExtrasOptionenDlg.OK

end function

'----------------------------------------------------

function fGetType(sType as String)  as String

 'This function will RETURN TYPE
  select case sType
      case "Author"
          select case iSprache
              case 1:      fGetType = "Author"
              case 33:     fGetType = "Utilisateur"
              case 34:     fGetType = "Autor"
              case 39:     fGetType = "Autore"
              case 46:     fGetType = "Användare"
              case 49:     fGetType = "Benutzer"
              case 55:     fGetType = "Autor"
              case 81:     fGetType = "ユーザー"
              case 82:     fGetType = "작성자"
              case 86:     fGetType = "使用者"
              case 88:     fGetType = "使用者"
              case else :
                         QAErrorLog "Now, the test does not support for the language " +iSprache
                         fGetType = ""
          end select
      case "Chapter"
          select case iSprache
              case 1:      fGetType = "Chapter"
              case 33:     fGetType = "Chapitre"
              case 34:     fGetType = "Capítulo"
              case 39:     fGetType = "Capitolo"
              case 46:     fGetType = "Kapitel"
              case 49:     fGetType = "Kapitel"
              case 55:     fGetType = "Capítulo"
              case 81:     fGetType = "章"
              case 82:     fGetType = "장"
              case 86:     fGetType = "章"
              case 88:     fGetType = "章"
              case else :
                         QAErrorLog "Now, the test does not support for the language " +iSprache
                         fGetType = ""
          end select
      case "Date"
          select case iSprache
              case 1:      fGetType = "Date"
              case 33:     fGetType = "Date"
              case 34:     fGetType = "Fecha"
              case 39:     fGetType = "Data"
              case 46:     fGetType = "Datum"
              case 49:     fGetType = "Datum"
              case 55:     fGetType = "Data"
              case 81:     fGetType = "日付"
              case 82:     fGetType = "날짜"
              case 86:     fGetType = "日期"
              case 88:     fGetType = "日期"
              case else :
                         QAErrorLog "Now, the test does not support for the language " +iSprache
                         fGetType = ""
          end select
      case "File name"
          select case iSprache
              case 1:      fGetType = "File name"
              case 33:     fGetType = "Nom de fichier"
              case 34:     fGetType = "Nombre del archivo"
              case 39:     fGetType = "Nome file"
              case 46:     fGetType = "Filnamn"
              case 49:     fGetType = "Dateiname"
              case 55:     fGetType = "Nome do arquivo"
              case 81:     fGetType = "ファイル名"
              case 82:     fGetType = "파일 이름"
              case 86:     fGetType = "文件名"
              case 88:     fGetType = "檔案名"
              case else :
                         QAErrorLog "Now, the test does not support for the language " +iSprache
                         fGetType = ""
          end select
      case "Page"
          select case iSprache
              case 1:      fGetType = "Page"
              case 33:     fGetType = "Page"
              case 34:     fGetType = "Página"
              case 39:     fGetType = "Pagina"
              case 46:     fGetType = "Sida"
              case 49:     fGetType = "Seite"
              case 55:     fGetType = "Página"
              case 81:     fGetType = "ページ"
              case 82:     fGetType = "페이지"
              case 86:     fGetType = "页"
              case 88:     fGetType = "頁"
              case else :
                         QAErrorLog "Now, the test does not support for the language " +iSprache
                         fGetType = ""
          end select
      case "Sender"
          select case iSprache
              case 1:      fGetType = "Sender"
              case 33:     fGetType = "Expéditeur"
              case 34:     fGetType = "Remitente"
              case 39:     fGetType = "Mittente"
              case 46:     fGetType = "Avsändare"
              case 49:     fGetType = "Absender"
              case 55:     fGetType = "Remetente"
              case 81:     fGetType = "差出人"
              case 82:     fGetType = "보낸 사람"
              case 86:     fGetType = "发件人"
              case 88:     fGetType = "寄件者"
              case else :
                         QAErrorLog "Now, the test does not support for the language " +iSprache
                         fGetType = ""
          end select
      case "Statistics"
          select case iSprache
              case 1:      fGetType = "Statistics"
              case 33:     fGetType = "Statistiques"
              case 34:     fGetType = "Estadística"
              case 39:     fGetType = "Statistiche"
              case 46:     fGetType = "Statistik"
              case 49:     fGetType = "Statistik"
              case 55:     fGetType = "Estatísticas"
              case 81:     fGetType = "統計"
              case 82:     fGetType = "통계"
              case 86:     fGetType = "统计"
              case 88:     fGetType = "統計"
              case else :
                         QAErrorLog "Now, the test does not support for the language " +iSprache
                         fGetType = ""
          end select
      case "Templates"
          select case iSprache
              case 1:      fGetType = "Templates"
              case 33:     fGetType = "Modèle de document"
              case 34:     fGetType = "Plantillas"
              case 39:     fGetType = "Modello"
              case 46:     fGetType = "Dokumentmall"
              case 49:     fGetType = "Dokumentvorlage"
              case 55:     fGetType = "Modelos"
              case 81:     fGetType = "ドキュメントテンプレート"
              case 82:     fGetType = "서식 파일"
              case 86:     fGetType = "文档式样"
              case 88:     fGetType = "文件樣式"
              case else :
                         QAErrorLog "Now, the test does not support for the language " +iSprache
                         fGetType = ""
          end select
      case "Time"
          select case iSprache
              case 1:      fGetType = "Time"
              case 33:     fGetType = "Heure"
              case 34:     fGetType = "Hora"
              case 39:     fGetType = "Orario"
              case 46:     fGetType = "Klockslag"
              case 49:     fGetType = "Uhrzeit"
              case 55:     fGetType = "Hora"
              case 81:     fGetType = "時刻"
              case 82:     fGetType = "시간"
              case 86:     fGetType = "时间"
              case 88:     fGetType = "時間"
              case else :
                         QAErrorLog "Now, the test does not support for the language " +iSprache
                         fGetType = ""
          end select
    case else :        ' Fallback
            QAErrorLog "Now, the test does not support for the type -- " &sType
            fGetLanguageName = ""
 end select

end function

'----------------------------------------------------

function fGetFieldContent( ) as String

  Call fFormatCharacter("TabHyperlinkZeichen")
      fGetFieldContent = Hinweis.GetText
  TabHyperlinkZeichen.Cancel

end function


'----------------------------------------------------

function fSetToBigSize( )

  Call fFormatCharacter("TabFont")
    try
	SizeWest.Select SizeWest.GetItemCount
    catch
	Size.Select Size.GetItemCount
    endcatch
  TabFont.OK

end function


'----------------------------------------------------

function fGetDirLanguage( ) as String

  'This function will RETURN language name for
  'install directory ,
  'eg . $SO_path/share/template/?? <- What you need to know
  Select case iSprache
       case 01   : fGetDirLanguage = "en-US"    '(English USA)
       case 33   : fGetDirLanguage = "fr-FR"    '(French)
       case 34   : fGetDirLanguage = "es-ES"    '(Spanish)
       case 39   : fGetDirLanguage = "it-IT"    '(Italian)
       case 46   : fGetDirLanguage = "sv-SE"    '(Swedish)
       case 49   : fGetDirLanguage = "de-DE"    '(German)
       case 55   : fGetDirLanguage = "pt-BR"    '(Portuguese)
       case 81   : fGetDirLanguage = "ja-JP"    '(Japanese)
       case 82   : fGetDirLanguage = "ko-KR"    '(Korean)
       case 86   : fGetDirLanguage = "zh-CN"    '(Simplified Chinese)
       case 88   : fGetDirLanguage = "zh-TW"    '(Traditional Chinese)
       case else : QAErrorLog "The test does not support the language " + iSprache
                   fGetDirLanguage = "en-US"
  end select

end function

'----------------------------------------------------

function fGetCategory( ) as String

  'This function will RETURN Category when inserting from template
  Select case iSprache
       case 01   : fGetCategory = "Education"
       case 33   : fGetCategory = "Éducation"
       case 34   : fGetCategory = "Educación"
       case 39   : fGetCategory = "Formazione"
       case 46   : fGetCategory = "Utbildning"
       case 49   : fGetCategory = "Bildung"
       case 55   : fGetCategory = "Formação"
       case 81   : fGetCategory = "教養"
       case 82   : fGetCategory = "석사 학위 논문"
       case 86   : fGetCategory = "教育"
       case 88   : fGetCategory = "教育"
       case else : QAErrorLog "The test does not support the language " + iSprache
  end select

end function

'----------------------------------------------------

function fGetStyle( ) as String

  'This function will RETURN Style when inserting from template
  Select case iSprache
       case 01   : fGetStyle = "Master's Thesis"
       case 33   : fGetStyle = "Mémoire"
       case 34   : fGetStyle = "Trabajo de licenciatura"
       case 39   : fGetStyle = "Tesi di laurea"
       case 46   : fGetStyle = "Examensarbete"
       case 49   : fGetStyle = "Diplomarbeit"
       case 55   : fGetStyle = "Dissertação de Mestrado"
       case 81   : fGetStyle = "卒業論文"
       case 82   : fGetStyle = "교육"
       case 86   : fGetStyle = "硕士论文"
       case 88   : fGetStyle = "碩士論文"
       case else : QAErrorLog "The test does not support the language " + iSprache
  end select

end function

'----------------------------------------------------

function fGetDate(sDate as String) as String

  Dim sMonth , sDay , sYear as String

  'This function will RETURN Style when inserting from template

  select case iSystemSprache
      case 01   :
          sMonth = Left (sDate , 2)
          sDay   = Mid  (sDate , 4 , 2)
          sYear  = Right(sDate , 2)
      case 49   :
          sMonth = Mid  (sDate , 4 , 2)
          sDay   = Left (sDate , 2)
          sYear  = Right(sDate , 2)
      case 86   :
          sMonth = Mid  (sDate , 6 , 2)
          sDay   = Right(sDate , 2)
          sYear  = Mid  (sDate , 3 , 2)
      case else:

  end select
  fGetDate = sMonth & "/" & sDay & "/" & sYear

end function

'----------------------------------------------------

function fGetDate1(sDate as String) as String

  Dim sMonth , sDay , sYear as String

  'This function will RETURN Style when inserting from template

  select case iSystemSprache
      case 01   :
          sMonth = Left (sDate , 2)
          sDay   = Mid  (sDate , 4 , 2)
          sYear  = Right(sDate , 4)
      case 49   :
          sMonth = Mid  (sDate , 4 , 2)
          sDay   = Left (sDate , 2)
          sYear  = Right(sDate , 4)
      case 86   :
          sMonth = Mid  (sDate , 6 , 2)
          sDay   = Right(sDate , 2)
          sYear  = Left (sDate , 4)
      case else:

  end select
  fGetDate1 = sMonth & "/" & sDay & "/" & sYear

end function

