'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: bugtracker_p2_101000.inc,v $
'*
'*  $Revision: 1.9 $
'*
'*  last change: $Author: hde $ $Date: 2005/06/01 13:37:14 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/***********************************************************************
'*
'* owner : hercule.li@sun.com
'*
'* short description : Test p2 bug between 100001 to 101000 in BugTracker
'*
'************************************************************************
'*
' #1  t_100002
' #1  t_100042
' #1  t_100133
' #1  t_100169
' #1  t_100181
' #1  t_100196
' #1  t_100227
' #1  t_100300
' #1  t_100360
' #1  t_100424
' #1  t_100488
' #1  t_100492
' #1  t_100496
' #1  t_100611
' #1  t_100619_1
' #1  t_100619_2
' #1  t_100619_3
' #1  t_100658
' #1  t_100671
' #1  t_100685
' #1  t_100688
' #1  t_100722
' #1  t_100738
' #1  t_100740
' #1  t_100828
' #1  t_100831
' #1  t_100843
' #1  t_100845
' #1  t_100846
' #1  t_100847
' #1  t_100848
' #1  t_100922
' #1  t_100926
' #1  t_100979
' #1  t_100987
'*
'\***********************************************************************

testcase t_100002

  Dim  sTestFile , sSaveAsFile , sFileType as String

  sTestFile   = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\101000\100002.sxw")
  sSaveAsFile = ConvertPath (gOfficePath + "user\work\100002.doc" )
  sFileType   = "Microsoft Word 97/2000/XP (.doc)"

  if hFileExists ( sSaveAsFile ) then app.kill ( sSaveAsFile )

  printlog "- Test bug 100002 "
  '/// <b> Test bug 100002 </b>

  Call hNewDocument

  '/// Open test file 100002.sxw
   Call hDateiOeffnen(sTestFile)

  '/// Save the file to Microsoft Word file format
   if hSpeichernUnterMitFilter(sSaveAsFile , sFileType) <> TRUE then
       Warnlog "Something wrong when Save the test file As MS word format !"
   end if

   FileClose
   Sleep 1
   Kontext "Active"
   if Active.Exists(2) then
       try
           Active.Yes
       catch
           Active.Click ( 202 )
       endcatch
   end if

   if hFileExists ( sSaveAsFile ) then app.kill ( sSaveAsFile )

endcase

'----------------------------------------------------------

testcase t_100042

  Dim  sTestFile as String

  sTestFile   = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\101000\100042.doc")

  printlog "- Test bug 100042 "
  '/// <b> Test bug 100042 </b>

  Call hNewDocument

  '/// Open test file 100042.doc , check if this file can be opened correctly
   Call hDateiOeffnen(sTestFile)
   Sleep 2

  Call hCloseDocument

endcase

'--------------------------------------------------

testcase t_100133

  printlog "- Test bug 100133"
  '/// <b> Test bug 100133 </b>

  Call hNewDocument

  '/// Insert a table
   Call hTabelleEinfuegen

  '/// go to the first cell , type some characters
   Call wDokSchreiben "aBcDeFg"
   Sleep 1

  '/// Select all characters
   Call wDokSchreiben "<Shift Home>"

  '/// Deselect all characters with pressing ESC
   Call wDokSchreiben "<Escape>"
   Sleep 2

  Call hCloseDocument

endcase

'--------------------------------------------------------

testcase t_100169

  printlog "- Test bug 100169"
  '/// <b> Test bug 100169 </b>

  printlog "- This is a new feature , should write another testcase!"

endcase

'--------------------------------------------------------

testcase t_100181

    Dim  sTestFile , sSaveAsFile as String
    Dim  sTestWord , sResult     as String

    sTestFile   = Convertpath ( gTesttoolpath + "writer\regression\input\bugtracker_p2\101000\100181.stw" )
    sSaveAsFile = ConvertPath ( gOfficePath   + "user\work\100181.sxw" )
    sTestWord   = "Differenz" :  sResult = "1"
    
    if hFileExists ( sSaveAsFile ) then app.kill ( sSaveAsFile )
    GetClipboardText = ""
    
    printlog "- Test bug 100181"
    '/// <b> Test bug 100181 </b>
    
    '/// Open test file 100181.stw
    FileOpen
    sleep (1)
    Kontext "OeffnenDlg"
    Dateiname.SetText sTestFile
    sleep (3)
    Oeffnen.Click
    sleep (2)
    
    kontext "SecurityWarning"
    if SecurityWarning.Exists then SecurityWarning.Ok
    sleep (5)
    
    '/// Click 'Stunden' button
    Call gMouseClick(55,40)
    Sleep (5)
    
    '/// Save the file
    Call hSpeichernUnterKill(sSaveAsFile)
    
    '/// Close the saved file
    Call hCloseDocument
    
    '/// Reload the file
    FileOpen
    sleep (1)
    Kontext "OeffnenDlg"
    Dateiname.SetText sSaveAsFile
    sleep (3)
    Oeffnen.Click
    sleep (2)
    
    kontext "SecurityWarning"
    if SecurityWarning.Exists then SecurityWarning.Ok
    sleep (5)
    
    '/// Check if 'Differenz' is 1
    Call fFindWord(sTestWord)
    Sleep 1
    Call wDokSchreiben "<End><Right><Right><End>"
    Sleep 1
    Call wDokSchreiben "<Shift Left>"
    Sleep 1
    EditCopy
    Sleep 1
    if GetClipboardText <> sResult then
        Warnlog "Getting " + GetClipboardText + " Bug#100181"
    end if
    
    Call hCloseDocument
    
    if hFileExists ( sSaveAsFile ) then app.kill ( sSaveAsFile )
    
endcase

'--------------------------------------------------------

testcase t_100196

  Dim  sTestFile , sSaveAsFile , sFileType as String

  sTestFile   = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\101000\100196.doc")
  sSaveAsFile = ConvertPath (gOfficePath + "user\work\100196.doc" )
  sFileType   = "Microsoft Word 97/2000/XP (.doc)"

  if hFileExists ( sSaveAsFile ) then app.kill ( sSaveAsFile )

  printlog "- Test bug 100196 "
  '/// <b> Test bug 100196 </b>

  Call hNewDocument

  '/// Open test file 100196.doc
   Call hDateiOeffnen(sTestFile)

  '/// Save the file to Microsoft Word file format
   if hSpeichernUnterMitFilter(sSaveAsFile , sFileType) <> TRUE then
       Warnlog "Something wrong when Save the test file As MS word format !"
   end if

   FileClose
   Sleep 1
   Kontext "Active"
   if Active.Exists(2) then
       try
           Active.Yes
       catch
           Active.Click ( 202 )
       endcatch
   end if

  if hFileExists ( sSaveAsFile ) then app.kill ( sSaveAsFile )

endcase

'----------------------------------------------------------

testcase t_100227

    Dim sWidth       , sColumn         as String
    Dim sColumnWidth , sColumnSpacing  as String
    Dim wSeparator as string
        
    printlog "- Test bug 100227 "
    '/// <b> Test bug 100227 </b>
    
    Call hNewDocument
    
    '/// Insert a frame
    Call wInsertFrame
    
    '/// Set frame's width to 15cm
    Call fFormatFrame("TabType")
    wSeparator = GetDecimalSeperator(Width.Gettext)
    sWidth         = "15" + wSeparator + "00"
    sColumn        = "3"
    sColumnWidth   = "3"  + wSeparator + "00"
    sColumnSpacing = "3"  + wSeparator + "00"    
    Kontext "TabType"
    Width.SetText sWidth
    TabType.OK
    
    '/// Set frame to 3 columns
    Call fFormatFrame("TabSpalten")
    Anzahl.SetText sColumn
    TabSpalten.OK
    
    '/// Set frame to columns' width to 3cm and distance to 3cm
    '/// + Close the dialog
    Call fFormatFrame("TabSpalten")
    AutomBreite.Uncheck
    Sleep 1
    Spaltenbreite1.SetText sColumnWidth
    Sleep 1
    Abstand12.SetText      sColumnSpacing
    Sleep 1
    Spaltenbreite2.SetText sColumnWidth
    Sleep 1
    Abstand23.SetText      sColumnSpacing
    Sleep 1
    Art.Select 1       'This step is useful in automation test
    Sleep 1
    TabSpalten.OK
    
    '/// Reopen the dialog , set tabpage Type , then set tabpage to Columns
    FormatFrame
    Kontext
    Active.SetPage TabType
    Sleep 2
    Active.SetPage TabSpalten
    Kontext "TabSpalten"
    Sleep 2
    
    if Anzahl.GetText = sColumn then
        if NOT fTolerance(Spaltenbreite1.GetText , sNewWidthColumn1 ) then
            Warnlog "1.Should get " + sColumnWidth + " but get " + Spaltenbreite1.GetText
        end if
        if NOT fTolerance(Abstand12.GetText , sColumnSpacing ) then
            Warnlog "2.Should get " + sColumnSpacing + " but get " + Abstand12.SetText
        end if
        if NOT fTolerance(Spaltenbreite2.GetText , sColumnWidth ) then
            Warnlog "3.Should get " + sColumnWidth + " but get " + Spaltenbreite2.GetText
        end if
        if NOT fTolerance(Abstand23.GetText , sColumnSpacing ) then
            Warnlog "4.Should get " + sColumnSpacing + " but get " + Abstand23.SetText
        end if
    else
        QAErrorlog "#i30362#Inconsistent behavior between preview and columns spinbox"
    end if
    TabSpalten.Cancel
    
    Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_100300

  printlog "- Test bug 100300 "
  '/// <b> Test bug 100300 </b>

  Call hNewDocument

  '/// Tools - Options - StarOffice - Appearance
   ToolsOptions
   Call hToolsOptions ( "StarOffice", "APPEARANCE" )
     Scheme.Select (Scheme.GetSelIndex)
     Sleep 1
     Kontext "ExtrasOptionenDlg"
   ExtrasOptionenDlg.OK

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_100360

  Dim  sTestFile as String

  sTestFile   = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\101000\100360.sdw")

  printlog "- Test bug 100360 "
  '/// <b> Test bug 100360 </b>

  Call hNewDocument

  '/// Open test file 100360.sdw , check if this file can be opened correctly
   Call hDateiOeffnen(sTestFile)
   Sleep 2

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_100424

  Dim  sTestWord as String

  sTestWord = "100424"

  printlog "- Test bug 100424"
  '/// <b> Test bug 100424 </b>

  Call hNewDocument

  '/// Draw a rectangle
  '/// Input some text in the rectangle
   Call wZeichenobjektEinfuegen("RECHTECK", 10, 20, 50, 60)
   Call gMouseClick (30,40)

   Call wDokSchreiben "<Return>"
   Sleep 1
   Call wDokSchreiben sTestWord
   Sleep 1

  '/// Deselect the rectangle
   Call wDokSchreiben "<ESCape>"
   Sleep 1
   Call wDokSchreiben "<ESCape>"
   Sleep 1

  '/// Re-Select rectangle and input some text
   Call wDokSchreiben "<Shift F5>"
   Sleep 1
   Call wDokSchreiben "<Return>"
   Sleep 1
   Call wDokSchreiben sTestWord
   Sleep 5

  'check if the text is inputed correctly
   Call wDokSchreiben "<Home><Shift End>"
   Sleep 1
   EditCopy

   if GetClipboardText <> (sTestWord & sTestWord) then
       Warnlog "Should get " + sTestWord & sTestWord + " but get " + GetClipboardText
   end if

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_100488

  Dim  sTestFile as String

  sTestFile   = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\101000\95934.doc")

  printlog "- Test bug 100488 "
  '/// <b> Test bug 100488 </b>

  Call hNewDocument

  '/// Open test file 95934.doc , check if this file can be opened correctly
   Call hDateiOeffnen(sTestFile)
   Sleep 2

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_100492

  printlog "- Test bug 100492"
  '/// <b> Test bug 100492 </b>

  printlog "- This is a new feature , should write another testcase!"

endcase

'--------------------------------------------------------

testcase t_100496

  Dim  sTestFile as String

  sTestFile   = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\101000\100496.sdw")

  printlog "- Test bug 100496 "
  '/// <b> Test bug 100496 </b>

  Call hNewDocument

  '/// Open test file 100496.sdw , check if this file can be opened correctly
   Call hDateiOeffnen(sTestFile)
   Sleep 2

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_100611

  Dim  sParagraph1 , sParagraph2 as String

  sParagraph1 = "Aaa" : sParagraph2 = "Bbb"

  printlog "- Test bug 100611"
  '/// <b> Test bug 100611 </b>

  Call hNewDocument

  '/// Input 2 paragraphs -- A and B
   Call wDokSchreiben sParagraph1
   Call wDokSchreiben "<Return>" , 2
   Call wDokSchreiben sParagraph2

   UseBindings
  '/// Edit / Changes / Record
   EditChangesRecord

  '/// Disable display of changes
  '/// Edit / Changes / Show <--- UnCheck
   EditChangesShow

  '/// Place cursor to B paragraph
   Call wDokSchreiben "<Left>"

  '/// Move paragraph B up, down, and up again
  '/// + using Alt-Ctrl-Up/Down
   Call wDokSchreiben "<MOD2 MOD1 Up>"
   Sleep 2

   Call wDokSchreiben "<MOD2 MOD1 Down>"
   Sleep 2

   Call wDokSchreiben "<MOD2 MOD1 Up>"
   Sleep 2

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_100619_1

    Dim  sTestFile as String
    
    sTestFile   = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\101000\100619.sxw")
    
    printlog "- Test bug 100619_1 "
    '/// <b> Test bug 100619_1 </b>
    
    Call hNewDocument
    
    '/// Open test file 100619.sxw which includes 3 lines text a
    '/// + a picture is anchored as character in the end of 2nd line
    Call hDateiOeffnen(sTestFile)
    Sleep 5    
    '/// Edit / Changes / Record
    EditChangesRecord
    
    '/// Mark from [ to ] , i.e.
    '///      AB[C
    '///      DEF
    '///      G]HI
    Call wDokSchreiben "<MOD1 Home>"
    Call wDokSchreiben "<Right>" , 2
    Call wDokSchreiben "<Shift Down>" , 2
    Call wDokSchreiben "<Shift Home><Shift Right>"
    
    '/// Delete the mark
    Call wDokSchreiben "<Delete>"
    
    '/// Hide tracked changes
    EditChangesShow
    Sleep 1
    
    '/// Show tracked changes
    EditChangesShow
    Sleep 1
    
    '/// Edit/Undo
    EditUndo
    
    Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_100619_2

    Dim  sTestFile as String
    
    sTestFile   = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\101000\100619.sxw")
    
    printlog "- Test bug 100619_2 "
    '/// <b> Test bug 100619_2 </b>
    
    Call hNewDocument
    
    '/// Open test file 100619.sxw which includes 3 lines text a
    '/// + a picture is anchored as character in the end of 2nd line
    Call hDateiOeffnen(sTestFile)
    Sleep 5
    
    '/// Edit / Changes / Record
    EditChangesRecord
    
    '/// Mark from [ to ] , i.e.
    '///      ABC[
    '///      DEF
    '///      G]HI
    Call wDokSchreiben "<MOD1 Home>"
    Call wDokSchreiben "<End>"
    Call wDokSchreiben "<Shift Down>" , 2
    Call wDokSchreiben "<Shift Home><Shift Right>"
    
    '/// Delete the mark
    Call wDokSchreiben "<Delete>"
    
    '/// Hide tracked changes
    EditChangesShow
    Sleep 1
    
    '/// Show tracked changes
    EditChangesShow
    Sleep 1
    
    '/// Edit/Undo
    EditUndo
    
    Call hCloseDocument
    
endcase

'----------------------------------------------------------

testcase t_100619_3

    Dim  sTestFile as String
    
    sTestFile   = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\101000\100619.sxw")
    
    printlog "- Test bug 100619_3 "
    '/// <b> Test bug 100619_3 </b>
    
    Call hNewDocument
    
    '/// Open test file 100619.sxw which includes 3 lines text a
    '/// + a picture is anchored as character in the end of 2nd line
    Call hDateiOeffnen(sTestFile)
    Sleep 5
    
    '/// Edit / Changes / Record
    EditChangesRecord
    
    '/// Mark from [ to ] , i.e.
    '///      ABC
    '///      [DEF
    '///      G]HI
    Call wDokSchreiben "<MOD1 Home>"
    Call wDokSchreiben "<Down><Home>"
    Call wDokSchreiben "<Shift Down>"
    Call wDokSchreiben "<Shift Home><Shift Right>"
    
    '/// Delete the mark
    Call wDokSchreiben "<Delete>"
    
    '/// Hide tracked changes
    EditChangesShow
    Sleep 1
    
    '/// Show tracked changes
    EditChangesShow
    Sleep 1
    
    '/// Edit/Undo
    EditUndo
    
    Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_100658

  Dim  sTestFile as String

  sTestFile   = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\101000\100658.sxw")

  printlog "- Test bug 100658 "
  '/// <b> Test bug 100658 </b>

  Call hNewDocument

  '/// Open test file 100658.sxw , check if this file can be printed correctly
   Call hDateiOeffnen(sTestFile)
   Sleep 1

  '/// File / Print
   FilePrint
     Kontext "Active"
     if Active.Exists then
         if Active.GetRT = 304 then
             Active.Ok
             QAErrorLog "No Default-Printer!"
             Kontext "DruckenDlg"
             Sleep 1
             DruckenDlg.Cancel
         end if
     else
         Kontext "DruckenDlg"
         Sleep 1
         DruckenDlg.OK
         Sleep 5
     end if

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_100671

  Dim  sTestFile as String

  sTestFile = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\101000\100671.sxw")

  printlog "- Test bug 100671 "
  '/// <b> Test bug 100671 </b>
  '/// <b> This case should be tested in Printer like Xerox N24/32 </b>

  Call hNewDocument

  '/// Open test file 100671.sxw , check if this file can be printed correctly
   Call hDateiOeffnen(sTestFile)
   Sleep 1

  '/// File / Print
   FilePrint
     Kontext "Active"
     if Active.Exists then
         if Active.GetRT = 304 then
             Active.Ok
             QAErrorLog "No Default-Printer!"
             Kontext "DruckenDlg"
             Sleep 1
             DruckenDlg.Cancel
         end if
     else
         Kontext "DruckenDlg"
         Sleep 1
         DruckenDlg.OK
         Sleep 5
     end if

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_100685
    
    Dim sXMLFilter as string
    
    printlog "- Test bug 100685 "
    '/// <b> Test bug 100685 </b>    
    Call hNewDocument
    
    '/// Open test file 100685.doc
    Call hDateiOeffnen(gTesttoolpath + "writer\regression\input\bugtracker_p2\101000\100685.doc")
    Sleep 10    
    '/// Save the file to Microsoft Word file format , anc close the file
    if hSpeichernUnterMitFilterKill(gOfficePath + "user\work\100685.doc" , "Microsoft Word 97/2000/XP (.doc)") <> TRUE then
       Warnlog "Something wrong when Save the test file as MS word format !"
    end if    
    Call hCloseDocument
    
    '/// Reopen the saved file - 100685.doc
    Call hDateiOeffnen(gOfficePath + "user\work\100685.doc")
    Sleep 10
    Call hCloseDocument
    
    Call hNewDocument    
    '/// Open test file 100685.doc
    Call hDateiOeffnen(gTesttoolpath + "writer\regression\input\bugtracker_p2\101000\100685.doc")
    Sleep 10    
    sXMLFilter = hGetUIFiltername("StarOffice XML (Writer)")
    sXMLFilter = sXMLFilter & " (.sxw)"
    Call hSpeichernUnterMitFilterKill ( gOfficePath + "user\work\100685.sxw", sXMLFilter )
    '/// Save the file to writer file format and close the file
    Call hCloseDocument    
    
    Call hDateiOeffnen(gOfficePath + "user\work\100685.sxw")
    Sleep 10
    
    Call hCloseDocument
    
endcase

'----------------------------------------------------------

testcase t_100688

  printlog "- Test bug 100688 "
  '/// <b> Test bug 100688 </b>

  '/// This case will be tested in t_100685
   printlog "This case will be tested in t_100685"

endcase

'----------------------------------------------------------

testcase t_100722

  Dim sParagraph1 , sParagraph2 as String
  Dim sParagraph3 , sParagraph4 as String

  sParagraph1 = "Aaa" :  sParagraph2 = "Bbb"
  sParagraph3 = "Ccc" :  sParagraph4 = "Ddd"

  printlog "- Test bug 100722"
  '/// <b> Test bug 100722 </b>

  Call hNewDocument

  '/// Input Paragraph "1" and Paragraph "2"
   Call wDokSchreiben sParagraph1
   Call wDokSchreiben "<Return>" , 3
   Call wDokSchreiben sParagraph2

  '/// Edit / Changes / Record
   EditChangesRecord

  '/// Hide tracked changes , Edit / Changes / Show (UnCheck)
   EditChangesShow
   Sleep 1

  '/// Move paragraph '2'  up (Alt + Ctrl + Up)
   Call wDokSchreiben "<MOD2 MOD1 Up>"
   Sleep 1

  '/// Move paragraph '2'  down (Alt + Ctrl + Down)
   Call wDokSchreiben "<MOD2 MOD1 Down>"
   Sleep 2

  '/// Add Paragraph "3" and Paragraph "4"
   Call wDokSchreiben "<MOD1 End>"
   Call wDokSchreiben "<Return>" , 3
   Call wDokSchreiben sParagraph3
   Call wDokSchreiben "<Return>" , 3
   Call wDokSchreiben sParagraph4

  '/// Edit / Changes / Accept or Reject
   EditChangesAcceptOrReject
   Kontext "Redlining"
   Sleep 1

   '/// Select tabpage 'List'
   TabControl.SetPage TabListe
   Sleep 1

   '/// Select 'Accept All'
   AlleAkzeptieren.Click
   Sleep 2

   '/// Close Redlining dialog
   Redlining.Close
   Sleep 1

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_100738

  printlog "- Test bug 100738"
  '/// <b> Test bug 100738 </b>

  '/// This case can't be tested yet due to there is
  '/// + Drag and Drop operation
   QAErrorLog "Can't be tested yet due to Drap&Drop operation exists"

endcase

'----------------------------------------------------------

testcase t_100740

    printlog "- Test bug 100740"
    '/// <b> Test bug 100740 </b>

    Call hNewDocument

    '/// Open test file 100740.sdw
    Call hDateiOeffnen (gTesttoolpath + "writer\regression\input\bugtracker_p2\101000\100740.sdw") 
    Kontext "SecurityWarning"
    if SecurityWarning.Exists then SecurityWarning.Cancel
    Sleep 2
    '/// Check if the formating is vertical or horizontal
    Call wDokSchreiben "<MOD1 Home>"
    Call wDokSchreiben "<Shift Right>" , 3
    EditCopy
    if GetClipboardText <> "Gra" then
        Warnlog "Should get 'Gra' but get " & GetClipboardText
    end if

    Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_100828

    Dim  bAsianLanguage    as Boolean
    Dim  sWidth , sHeight  as String
    Dim wSeparator as string 
    
    printlog "- Test bug 100828"
    '/// <b> Test bug 100828 </b>
    
    Call hNewDocument
    
    '/// Set 'Asian Language support' ON
    bAsianLanguage = ActiveDeactivateAsianSupport(TRUE)
    
    '/// Insert a frame
    Call wInsertFrame
    
    '/// Format/Frame / Type , set width to 2cm , length to 0.5cm
    Call fFormatFrame("TabType")
    wSeparator = GetDecimalSeperator(Width.Gettext)
    sWidth  = "3"+ wSeparator + "00"
    sHeight = "1"+ wSeparator + "00"

    Kontext "TabType"
    Width.SetText   sWidth
    Height.SetText  sHeight
    TabType.OK
    
    '/// Format/Frame / Options , set frame text direction to vertical from right.
    Call fFormatFrame("TabZusaetze")
    TextDirection.Select 3
    TabZusaetze.OK
    
    '/// Format/Frame / Type , Uncheck autosize
    Call fFormatFrame("TabType")
    AutoHoehe.UnCheck
    TabType.OK
    
    '/// Format/Frame / Type , Check if width and height change
    Call fFormatFrame("TabType")
    if Left$(Width.GetText,4)  <> sWidth  then Warnlog "width is changed !"
    if Left$(Height.GetText,4) <> sHeight then Warnlog "heigth is changed !"
    TabType.Cancel
    
    'Set the 'Asian Language support' to default
    if bAsianLanguage = FALSE then
        Call ActiveDeactivateAsianSupport(FALSE)
    end if
    
    Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_100831

    Dim sSaveAsFile1 , sSaveAsFile2  as String
    Dim sPassword    , sText         as String

    sSaveAsFile1 = ConvertPath (gOfficePath + "user\work\test1.sxw" )
    sSaveAsFile2 = ConvertPath (gOfficePath + "user\work\test2.sxw" )
    sPassword    = "abc123"   : sText = "ABCD"

    if hFileExists ( sSaveAsFile1 ) then app.kill ( sSaveAsFile1 )
    if hFileExists ( sSaveAsFile2 ) then app.kill ( sSaveAsFile2 )

    printlog "- Test bug 100831"
    '/// <b> Test bug 100831 </b>

    '/// Save a doc1 with password
    Call hNewDocument
    Call wDokSchreiben sText
    FileSaveAs
    Kontext "SpeichernDlg"
    Dateiname.SetText sSaveAsFile1
    Passwort.Check
    Sleep 1
    Speichern.Click    
    Kontext "Passwort"
    'Enter your password
    PasswortName.SetText sPassword
    'Re-Enter a wrong password
    PasswortBestaetigen.Settext sPassword
    Passwort.OK
    Sleep 2
    Kontext "AlienWarning"
    if AlienWarning.Exists(2) then AlienWarning.Ok        
    
    '/// in a doc2 insert a section link to doc1
    Call hNewDocument
    InsertSection
    Sleep 1
    Kontext
    Active.Setpage TabBereiche
    Kontext "TabBereiche"
    Verknuepfung.Check
    DateiVerknuepfung.Settext sSaveAsFile1
    TabBereiche.OK
    Sleep 1

    '/// Save doc2
    Call hSpeichernUnter(sSaveAsFile2)
    Sleep 2

    '/// Close doc1 & doc2
    Call hCloseDocument  'doc2 is closed
    Sleep 2
    Call hCloseDocument  'doc1 is closed

    '/// Load doc2 again
    Call hNewDocument

    FileOpen
    Kontext "OeffnenDlg"
    Dateiname.SetText sSaveAsFile2
    Oeffnen.Click

    '/// Message box "update links?" -> YES
    Kontext "Active"
    if Active.Exists (1) then Active.Yes

    '/// Message box "enter password" -> CANCEL
    Kontext "Passwort"
    if Passwort.Exists then
        Passwort.Cancel
    else
        QAErrorlog "#i30875#Password message box doesn't appear"
    end if

    Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_100843

  Dim  sTestFile as String

  sTestFile   = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\101000\100843.sxw")

  printlog "- Test bug 100843"
  '/// <b> Test bug 100843 </b>

  Call hNewDocument

  '/// Open test file 100843.sxw , check if this file can be opened and closed correctly
   Call hDateiOeffnen(sTestFile)
   Sleep 2

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_100845

  printlog "- Test bug 100845 "
  '/// <b> Test bug 100845 </b>

  '/// This case will be tested in t_102750
   printlog "This case will be tested in t_102750"

endcase

'----------------------------------------------------------

testcase t_100846

  Dim sSaveAsFile1 , sSaveAsFile2  as String
  Dim sText                        as String

  sSaveAsFile1 = ConvertPath (gOfficePath + "user\work\test1.sxw" )
  sSaveAsFile2 = ConvertPath (gOfficePath + "user\work\test2.html" )
  sText = "ABCD" : GetClipboardText = ""

  if hFileExists ( sSaveAsFile1 ) then app.kill ( sSaveAsFile1 )
  if hFileExists ( sSaveAsFile2 ) then app.kill ( sSaveAsFile2 )

  printlog "- Test bug 100846"
  '/// <b> Test bug 100846 </b>

  '/// generate a writer file doc1 , save and close it
  Call hNewDocument
   Call wDokSchreiben sText
   Call hSpeichernUnterKill(sSaveAsFile1)
  Call hCloseDocument  'doc1 is closed

  gApplication = "HTMLDOKUMENT"
  Sleep 2
  '/// in a doc2 insert a section link to doc1 , doc2 is html file
  Call hNewDocument
   InsertSection
   Sleep 1
   Kontext
   Active.Setpage TabBereiche
   Kontext "TabBereiche"
     Verknuepfung.Check
     DateiVerknuepfung.Settext sSaveAsFile1
   TabBereiche.OK
   Sleep 1

  '/// Save doc2
   Call hSpeichernUnterKill(sSaveAsFile2)
   Sleep 2

  '/// Close doc2
   Call hCloseDocument  'doc2 is closed
   Sleep 2

 '/// Load doc2 again
  Call hNewDocument

    FileOpen
    Kontext "OeffnenDlg"
      Dateiname.SetText sSaveAsFile2
      Oeffnen.Click

     '/// Message box "update links?" -> YES
      Kontext "Active"
        if Active.Exists (1) then Active.Yes

    Call wDokSchreiben "<MOD1 Home>"
    Call wDokSchreiben "<Shift Right>" , 4
    EditCopy

    if GetClipboardText <> sText then
        Warnlog "The content of section should be " & sText & " but get " & GetClipboardText
    end if

  Call hCloseDocument

  gApplication = "Writer"
  if hFileExists ( sSaveAsFile1 ) then app.kill ( sSaveAsFile1 )
  if hFileExists ( sSaveAsFile2 ) then app.kill ( sSaveAsFile2 )

endcase

'----------------------------------------------------------

testcase t_100847

    Dim  sTestFile , sSaveAsFile as String

    sTestFile   = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\101000\100847.sdw")
    sSaveAsFile = ConvertPath (gOfficePath + "user\work\100847.odt" )

    if hFileExists ( sSaveAsFile ) then app.kill ( sSaveAsFile )

    printlog "- Test bug 100847"
    '/// <b> Test bug 100847 </b>

    Call hNewDocument

    '/// Open test file 100847.sdw
    Call hDateiOeffnen(sTestFile)

    '/// Save as the newest writer file format
    Call hSpeichernUnterMitFilterKill ( sSaveAsFile, gWriterFilter )

    Call hCloseDocument

    if hFileExists ( sSaveAsFile ) then app.kill ( sSaveAsFile )

endcase

'----------------------------------------------------------

testcase t_100848

  printlog "- Test bug 100848 "
  '/// <b> Test bug 100848 </b>

  '/// This case will be tested in t_100847
   printlog "This case will be tested in t_100847"

endcase

'----------------------------------------------------------

testcase t_100922

  Dim  sTestFile , sSaveAsFile , sFileType as String

  sTestFile   = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\101000\100922.sxw")
  sSaveAsFile = ConvertPath (gOfficePath + "user\work\100922.doc" )
  sFileType   = "Microsoft Word 97/2000/XP (.doc)"

  if hFileExists ( sSaveAsFile ) then app.kill ( sSaveAsFile )

  printlog "- Test bug 100922"
  '/// <b> Test bug 100922 </b>

  Call hNewDocument

  '/// Open test file 100922.sxw
   Call hDateiOeffnen(sTestFile)

  '/// Save the file to Microsoft Word file format
   if hSpeichernUnterMitFilter(sSaveAsFile , sFileType) <> TRUE then
       Warnlog "Something wrong when Save the test file As MS word format !"
   end if

   FileClose
   Sleep 1
   Kontext "Active"
   if Active.Exists(2) then
       try
           Active.Yes
       catch
           Active.Click ( 202 )
       endcatch
   end if

   if hFileExists ( sSaveAsFile ) then app.kill ( sSaveAsFile )

endcase

'----------------------------------------------------------

testcase t_100926

  Dim  sTestFile , sTest as String

  sTestFile = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\101000\100926.sxw")
  sTest     = "Examplesxyz"

  printlog "- Test bug 100926"
  '/// <b> Test bug 100926 </b>

  Call hNewDocument

  '/// Open test file 100926.sxw
   Call hDateiOeffnen(sTestFile)

   '/// Set focus to 2nd page , after "Examplesxyz"
    Call fFindWord( sTest )
    Call wDokSchreiben "<Right>"

   '/// Press TAB
    Call wDokSchreiben "<Tab>"

   '/// Edit/Undo
    EditUndo

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_100979

  Dim  sTestFile as String

  sTestFile   = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\101000\100979.doc")

  printlog "- Test bug 100979"
  '/// <b> Test bug 100979 </b>

  Call hNewDocument

  '/// Open test file 100979.doc , check if this file can be opened and closed correctly
   Call hDateiOeffnen(sTestFile)
   Sleep 2

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_100987

  printlog "- Test bug 100738"
  '/// <b> Test bug 100738 </b>

  '/// This case can't be tested yet due to there is
  '/// + Click on x-button operation
   QAErrorLog "Can't be tested yet due to Click on x-button operation exists"

endcase

