'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: bugtracker_p2_103000.inc,v $
'*
'*  $Revision: 1.10 $
'*
'*  last change: $Author: hde $ $Date: 2005/07/19 08:39:56 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/***********************************************************************
'*
'* owner : hercule.li@sun.com
'*
'* short description : Test p2 bug between 102001 to 103000 in BugTracker
'*
'************************************************************************
'*
' #1 t_102042
' #1 t_102044
' #1 t_102077
' #1 t_102110
' #1 t_102167
' #1 t_102258
' #1 t_102271
' #1 t_102287
' #1 t_102297
' #1 t_102306
' #1 t_102321
' #1 t_102353
' #1 t_102358
' #1 t_102366
' #1 t_102398
' #1 t_102411
' #1 t_102424
' #1 t_102434
' #1 t_102455
' #1 t_102483
' #1 t_102547
' #1 t_102572
' #1 t_102607
' #1 t_102675
' #1 t_102681
' #1 t_102689
' #1 t_102750
' #1 t_102755
' #1 t_102768
' #1 t_102794
' #1 t_102845
' #1 t_102938
' #1 t_102940
'*
'\***********************************************************************

testcase t_102042

  Dim  sTestFile , sSaveAsFile , sFileType as String

  sTestFile   = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\103000\102042.sxw")
  sSaveAsFile = ConvertPath (gOfficePath + "user\work\102042.rtf" )
  sFileType   = "Rich Text Format (.rtf)"

  if hFileExists ( sSaveAsFile ) then app.kill ( sSaveAsFile )

  printlog "- Test bug 102042"
  '/// <b> Test bug 102042 </b>

  Call hNewDocument

  '/// Open test file 102042.sxw
   Call hDateiOeffnen(sTestFile)

  '/// Save the file to rtf file format
   if hSpeichernUnterMitFilter(sSaveAsFile , sFileType) <> TRUE then
       Warnlog "Something wrong when Save the test file As MS word format !"
   end if

   FileClose
   Sleep 1
   Kontext "Active"
   if Active.Exists(2) then
       try
           Active.Yes
       catch
           Active.Click ( 202 )
       endcatch
   end if
   Sleep 3

  '/// Open test file 102042.rtf
   Call hDateiOeffnen(sSaveAsFile)

  Call hCloseDocument

  if hFileExists ( sSaveAsFile ) then app.kill ( sSaveAsFile )

endcase

'----------------------------------------------------------

testcase t_102044

  Dim  sTestFile  as String

  sTestFile = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\103000\102044.sxw")

  printlog "- Test bug 102044"
  '/// <b> Test bug 102044 </b>

  Call hNewDocument

  '/// Open test file 102044.sxw
   Call hDateiOeffnen(sTestFile)

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_102077

  Dim  sTestFile  as String
  Dim  i          as Integer

  sTestFile = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\103000\102077.sxw")

  printlog "- Test bug 102077"
  '/// <b> Test bug 102077 </b>

  Call hNewDocument

  '/// Open test file 102077.sxw
   Call hDateiOeffnen(sTestFile)

  '/// Browse the file to display the picture
   Call wDokSchreiben "<MOD1 Home>"

   for i = 0 to 13
       Call wDokSchreiben "<PageDown>"
       Sleep 2
   next i

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_102110

  Dim  sTestFile  as String

  sTestFile = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\103000\102110.sxw")

  printlog "- Test bug 102110"
  '/// <b> Test bug 102110 </b>

  QAErrorLog "This case will print more than 1000 pages , skip !"
  goto NoTest

  Call hNewDocument

  '/// Open test file 102110.sxw
   Call hDateiOeffnen(sTestFile)

  '/// Print it
   FilePrint
   Kontext "Active"
   if Active.Exists then
       if Active.GetRT = 304 then
           Active.Ok
           QAErrorLog "No Default-Printer!"
           Kontext "DruckenDlg"
           Sleep 1
           DruckenDlg.Cancel
       end if
   else
       Kontext "DruckenDlg"
       Sleep 1
       DruckenDlg.OK
       Sleep 5
   end if

  Call hCloseDocument
NoTest:
endcase

'----------------------------------------------------------

testcase t_102167

  Dim  sTestFile1 , sTestFile2  as String

  sTestFile1 = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\103000\102167-1.sxw")
  sTestFile2 = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\103000\102167-2.sxw")

  printlog "- Test bug 102167"
  '/// <b> Test bug 102167 </b>

  Call hNewDocument

  '/// Open test file 102167-1.sxw
   Call hDateiOeffnen(sTestFile1)

  '/// Merge 102167-2.sxw to 102167-1.sxw
  'Edit/Change/Merge document
   EditChangesMergeDocument
   Kontext "OeffnenDlg"
     Sleep (1)
     Dateiname.SetText sTestFile2
     sleep (3)
     Oeffnen.Click
     sleep (3)

     Kontext "Redlining"
       Sleep 1
      'Set tabpage 'List'
       TabControl.SetPage TabListe
       Sleep 1
      'click 'Accept All'
       AlleAkzeptieren.Click
       Sleep 4
     Redlining.Close

  '/// Merge 102167-2.sxw to 102167-1.sxw again
  'Edit/Change/Merge document
   EditChangesMergeDocument
   Kontext "OeffnenDlg"
     Sleep (1)
     Dateiname.SetText sTestFile2
     sleep (3)
     Oeffnen.Click
     sleep (3)

     Kontext "Active"
     if Active.Exists then
         if Active.GetRT <> 304 then
             Active.Ok
             Warnlog "the active box isn't the message box"
         end if
         Active.Ok
     else
         Warnlog "Something wrong !"
     end if

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_102258

  printlog "- Test bug 102258"
  '/// <b> Test bug 102258 </b>

  QAErrorLog "This case is a arab test ! No test for this case !"

endcase

'----------------------------------------------------------

testcase t_102271

  Dim  sTestFile  as String

  sTestFile = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\103000\102271.doc")

  printlog "- Test bug 102271"
  '/// <b> Test bug 102271 </b>

  Call hNewDocument

  '/// Open test file 102271.doc
   Call hDateiOeffnen(sTestFile)

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_102287

  Dim  sTestFile  as String

  sTestFile = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\103000\102287.sxw")

  printlog "- Test bug 102287"
  '/// <b> Test bug 102287 </b>

  Call hNewDocument

  '/// Open test file 102287.sxw
   Call hDateiOeffnen(sTestFile)

  '/// Select right graphic
   Call fStartupNavigator( "Graphics" , 2 )
     Auswahlliste.TypeKeys "<Down>" , 2
     Auswahlliste.TypeKeys "<return>"
     Sleep 2
   Call fCloseNavigator

  '/// Format/Picture /type , uncheck relative width
   Call fFormatGraphic("TabType")
     RelativeWidth.UnCheck
     Sleep 1
   TabType.OK

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_102297

    printlog "- Test bug 102297"
    '/// <b> Test bug 102297 </b>

    Call hNewDocument

    '/// Open test file 102297.sxw
    Call hDateiOeffnen (gTesttoolpath + "writer\regression\input\bugtracker_p2\103000\102297.sxw") 

    Kontext "SecurityWarning"
    if SecurityWarning.Exists then SecurityWarning.OK

    Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_102306

    printlog "- Test bug 102306"
    '/// <b> Test bug 102306 </b>

    QAErrorLog "This case is for margin ! No test for this case !"

endcase

'----------------------------------------------------------

testcase t_102321

    printlog "- Test bug 102321"
    '/// <b> Test bug 102321 </b>

    Call hNewDocument

    '/// Open test file 102321.doc
    Call hDateiOeffnen(gTesttoolpath + "writer\regression\input\bugtracker_p2\103000\102321.doc")

    Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_102353

    printlog "- Test bug 102353"
    '/// <b> Test bug 102353 </b>

    QAErrorLog "This case is for grey highlighting display ! No test for this case !"

endcase

'----------------------------------------------------------

testcase t_102358

  printlog "- Test bug 102358"
  '/// <b> Test bug 102358 </b>

  QAErrorLog "This case is for font problem ! No test for this case !"

endcase

'----------------------------------------------------------

testcase t_102366

  Dim  sTestFile  as String

  sTestFile = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\103000\102366.sxw")

  printlog "- Test bug 102366"
  '/// <b> Test bug 102366 </b>

  Call hNewDocument

  '/// Open test file 102366.sxw
   Call hDateiOeffnen(sTestFile)

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_102398

  printlog "- Test bug 102398"
  '/// <b> Test bug 102398 </b>

  QAErrorLog "This case is for writer 2.0 diplay problem ! No test for this case !"

endcase

'----------------------------------------------------------

testcase t_102411

  printlog "- Test bug 102411"
  '/// <b> Test bug 102411 </b>

  QAErrorLog "This case is for Pair kerning problem ! No test for this case !"

endcase

'----------------------------------------------------------

testcase t_102424

    QAErrorlog "#i49506#Office crashes loading doc-file"
    goto endsub
    printlog "- Test bug 102424"
    '/// <b> Test bug 102424 </b>

    Call hNewDocument

    '/// Open test file 102424.doc
    Call hDateiOeffnen(gTesttoolpath + "writer\regression\input\bugtracker_p2\103000\102424.doc")

    Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_102434

    Dim  sTestFile  as String
    Dim  i          as Integer

    sTestFile = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\103000\102434.sdw")

    printlog "- Test bug 102434"
    '/// <b> Test bug 102434 </b>

    Call hNewDocument

    '/// Open test file 102434.sdw
    Call hDateiOeffnen(sTestFile)

    Call wDokSchreiben "<MOD1 Home>"
    for i = 0 to 2
        EditSearchAndReplace
        Kontext "FindAndReplace"
        SearchFor.SetText "ASCII 173: lala"
        Sleep 1
        Kontext "Active"
        if Active.Exists then
            if Active.GetRT = 304 then
                try    
                    Active.Yes
                catch
                    Active.Ok
                endcatch
            endif
        endif            
        Kontext "FindAndReplace"
        try
            SearchNow.Click
        catch
        endcatch
        Sleep 1
        if FindAndReplace.IsVisible then FindAndReplace.Close
        Call wDokSchreiben "<Escape>"
        Call wDokSchreiben "<Shift Right>"
        EditCopy
        if GetClipboardText <> "-" then
            Warnlog i & "Should get - , but get " & GetClipboardText
        end if
        Call wDokSchreiben "<Right>"
    next i

    Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_102455

    Dim  sTestFile  as String

    sTestFile = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\103000\102455.sxw")

    printlog "- Test bug 102455"
    '/// <b> Test bug 102455 </b>

    Call hNewDocument

    '/// Input some dummy text
    Call wBlindtextEinfuegen
    Sleep 5

    '/// Open test file 102455.sxw
    Call hDateiOeffnen(sTestFile)

    Call hCloseDocument

    Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_102483

  Dim  sTestFile                 as String
  Dim  sPositionBy ,  sPositionX as String

  sTestFile   = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\103000\102483.sxw")
  sPositionBy = "1" + seperator + "00" + measurementUnit
  sPositionX  = "9" + seperator + "05" + measurementUnit

  printlog "- Test bug 102483"
  '/// <b> Test bug 102483 </b>

  Call hNewDocument

  '/// Open test file 102483.sxw
  '/// A frame is anchored in paragraphs and a draw object
  '/// + is anchored in the frame
   Call hDateiOeffnen(sTestFile)

  '/// Set focus to frame
   Call wDokSchreiben "<Shift F5>"
   Sleep 1

  '/// Format/page/type . In position area , select  "From left"
  '/// + in horizental , select "Right page border" in To , set 1cm in By ,
   Call fFormatFrame("TabType")
     Horizontal.Select    4
     Sleep 1
     HorizontalTo.Select  6
     Sleep 1
     HorizontalBy.SetText sPositionBy
     Sleep 1
   TabType.OK

  '/// Check if the frame is moved correctly
  'Set focus to draw object , set anchor to page
   Call wDokSchreiben "<Tab>"
   FormatAnchorToPage
   Call fPositionAndSize("TabPositionAndSizeWriter")
     if fCalculateTolerance( sPositionX, Horizontalby.Gettext) > 0.3 then
         Warnlog "The picture's position isn't right !"
     end if
   TabPositionAndSizeWriter.Cancel

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_102547

  Dim  sTestFile as String

  sTestFile = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\103000\102547.sxw")

  printlog "- Test bug 102547"
  '/// <b> Test bug 102547 </b>

  Call hNewDocument

  '/// Open test file 102547.sxw
   Call hDateiOeffnen(sTestFile)

  '/// Edit / Changes / Accept or Reject
   EditChangesAcceptOrReject
   Kontext "Redlining"
   Sleep 1
  '/// Select tabpage 'List'
   TabControl.SetPage TabListe
   Sleep 1
  '/// Select 'Accept All'
   AlleAkzeptieren.Click
   Sleep 2
   Redlining.Close
   Sleep 2

  Call hCloseDocument

endcase

'----------------------------------------------------------


testcase t_102572

  Dim  sTestFile as String

  sTestFile = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\103000\102572.doc")

  printlog "- Test bug 102572"
  '/// <b> Test bug 102572 </b>

  Call hNewDocument

  '/// Open test file 102572.doc
   Call hDateiOeffnen(sTestFile)

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_102607

  Dim  sTestFile as String

  sTestFile = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\103000\102607.sxw")

  printlog "- Test bug 102607"
  '/// <b> Test bug 102607 </b>

  Call hNewDocument

  '/// Open test file 102607.sxw
   Call hDateiOeffnen(sTestFile)

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_102675

  Dim  sTestFile as String

  sTestFile = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\103000\102675.sxw")

  printlog "- Test bug 102675"
  '/// <b> Test bug 102675 </b>

  Call hNewDocument

  '/// Open test file 102675.sxw
   Call hDateiOeffnen(sTestFile)

  '/// Select text from "\" to "CB2GRN_LED_L"
   Call fFindWord("\")
   Call wDokSchreiben "<MOD1 Shift End>"
   Sleep 2
   Call wDokSchreiben "<Shift PageUp>" , 7
   Sleep 1

  '/// Insert table
   InsertTableWriter

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_102681

  printlog "- Test bug 102681"
  '/// <b> Test bug 102681 </b>

  QAErrorLog "This case is a new feature ! Should write in another case !"

endcase

'----------------------------------------------------------


testcase t_102689

  printlog "- Test bug 102689"
  '/// <b> Test bug 102689 </b>

  Call hNewDocument

  '/// Insert page number
   InsertFieldsPageNumbers
   Sleep 2

  '/// Insert Page Count
   InsertFieldsPageCount
   Sleep 2

 Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_102750

  printlog "- Test bug 102750"
  '/// <b> Test bug 102750 </b>

  QAErrorLog "This bug is about performance ! No automation test so far !"

endcase

'----------------------------------------------------------

testcase t_102755

    Dim i as Integer, wShortCut as string

    printlog "- Test bug 102755"
    '/// <b> Test bug 102755 </b>

    Call hNewDocument

    '/// Insert some dummy text
    Call wBlindtextEinfuegen
    Sleep 5
    '/// Insert Dummytext Standard -> 2nd Reminder
    select case iSprache
        case 01    : wShortCut = "R2<F3>"
        case 03    : wShortCut = "R2<F3>"
        case 31    : wShortCut = "R2<F3>"
        case 34    : wShortCut = "R2<F3>"
        case 33    : wShortCut = "R2<F3>"
        case 39    : wShortCut = "S2<F3>"
        case 45    : wShortCut = "R2<F3>"
        case 46    : wShortCut = "R2<F3>"
        case 49    : wShortCut = "R2<F3>"
        case 55    : wShortCut = "L2<F3>"
        case 81    : wShortCut = "R2<F3>"
        case 82    : wShortCut = "R2<F3>"
        case 86    : wShortCut = "R2<F3>"
        case 88    : wShortCut = "R2<F3>"
        case else : Warnlog "No Shortcut for Dummytext available!"
                    goto endsub
    end select
    
    Call wDokSchreiben wShortCut
    Sleep 5

    '/// Tools-AutoCorrect/AutoFormat - Tabpage "Word Completion"
    Call fToolsAutocorrect("TabWortergaenzung")
    if GesammelteWorte.GetItemCount > 0 then
        for i= 1 to GesammelteWorte.GetItemCount
            GesammelteWorte.Select 1
            if EintragLoeschen.IsEnabled then
                EintragLoeschen.Click
            else
                i = GesammelteWorte.GetItemCount + 1
            end if
        next i
    end if
    MaxEintraege.SetText "50"
    TabWortergaenzung.OK

    Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_102768

  Dim  sTestFile as String

  sTestFile = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\103000\102768.doc")

  printlog "- Test bug 102768"
  '/// <b> Test bug 102768 </b>

  Call hNewDocument

  '/// Open test file 102768.doc
   Call hDateiOeffnen(sTestFile)
   Sleep 20
   ' Takes long time to load
   
   Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_102794

  Dim  sTestFile , sSaveAsFile , sFileType as String

  sTestFile   = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\103000\102794.sxw")
  sSaveAsFile = ConvertPath (gOfficePath + "user\work\102794.doc" )
  sFileType   = "Microsoft Word 97/2000/XP (.doc)"

  if hFileExists ( sSaveAsFile ) then app.kill ( sSaveAsFile )

  printlog "- Test bug 102794 "
  '/// <b> Test bug 102794 </b>

  Call hNewDocument

  '/// Open test file 102794.sxw
   Call hDateiOeffnen(sTestFile)

  '/// Save the file to Microsoft Word file format
   if hSpeichernUnterMitFilter(sSaveAsFile , sFileType) <> TRUE then
       Warnlog "Something wrong when Save the test file As MS word format !"
   end if

   FileClose
   Sleep 1
   Kontext "Active"
   if Active.Exists(2) then
       try
           Active.Yes
       catch
           Active.Click ( 202 )
       endcatch
   end if

   if hFileExists ( sSaveAsFile ) then app.kill ( sSaveAsFile )

endcase

'----------------------------------------------------------

testcase t_102845

  printlog "- Test bug 102845 "
  '/// <b> Test bug 102845 </b>

  Call hNewDocument

  '/// Format/Page / Page
   Call fFormatPageWriter ("TabSeite")
     Sleep 3
   TabSeite.OK

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_102938

  printlog "- Test bug 102938 "
  '/// <b> Test bug 102938 </b>

  Call hNewDocument

  '/// Insert / Index and Tables / Entry
   InsertIndexesEntry
   Kontext "VerzeichniseintragEinfuegen"
     Sleep 2
   VerzeichniseintragEinfuegen.Close

  '/// Insert / Index and Tables / Index and Tables / Index/Table
  '/// + then goto tabpage Entries
   InsertIndexes
   Kontext
   Active.Setpage TabVerzeichnisseVerzeichnis
     Kontext "TabVerzeichnisseVerzeichnis"
     Sleep 2
   Kontext
   Active.Setpage TabVerzeichnisseEintraege
     Kontext "TabVerzeichnisseEintraege"
     Sleep 2
   TabVerzeichnisseEintraege.Cancel

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_102940

  printlog "- Test bug 102940"
  '/// <b> Test bug 102940 </b>

  QAErrorLog "This case is a drag and drop problem ! Dont' support automation test so far !"

endcase

