' ****************************************************************************************
' **
' ** owner : joerg.sievers@sun.com
' **
' ** short description : Library for Performance Test (Level 2)
' **
' /***************************************************************************************
' **
' #1 hExitAndRestart
' #1 ReplaceCharacter
' **
' \**************************************************************************************
sub hExitAndRestart (xFileName as string)
'/// (Re)Starts the Office with parameters for the profiling
'/// support inside the Office.
'/// <u>Note</u>: Not all versions of StarOffice have this feature enabled!
'/// <b>The finals are defenetivly do not have this feature enabled!</b>   
  Dim sParameter as String
  Dim sPath as String
  Dim specialgOfficePath as string
   sleep (2)
   FileExit "SynchronMode", TRUE
   try
      Kontext "Messagebox"
       if Messagebox.GetRT = 304 then
        if Messagebox.Exists(2) then Messagebox.No
       end if
    catch
   endcatch
   sleep (40)
  if gPlatGroup = "w95" then
    specialgOfficePath = ReplaceCharacter( gOfficePath , "\" , "\\")
    sPath = specialgOfficePath + "user\\work\\xml\\profile\\results\\"
    mkdir ( gOfficePath + "user\work\xml\profile\results\" )
   else
    sPath = ConvertPath ( gOfficePath + "user\work\xml\profile\results\"  )
    mkdir ( sPath )
  end if
  sParameter = "-env:RTL_LOGFILE=" + sPath + xFileName
  Start sAppExe, sParameter
  printlog "hExitAndRestart [xmltool2.inc]: " & sParameter 
  sleep(3)
  SetClipboard "The first doc!"
  EditPaste
end sub

'-------------------------------------------------------------------------

function ReplaceCharacter(stringToChange$, charToReplace$, replaceWith$) As String
'/// Replaces a specified character in a string with another character that you specify
    Dim ln, n As Long
    Dim NextLetter As String
    Dim FinalString As String
    Dim txt, char, rep As String
    txt = stringToChange$ 'store all arguments in
    char = charToReplace$ 'new variables
    rep = replaceWith$

    ln = Len(txt)

   For n = 1 To ln Step 1
    NextLetter = Mid(txt, n, 1)
    If NextLetter = char Then
     NextLetter = rep
    End If
    FinalString = FinalString & NextLetter
   Next n
  ReplaceCharacter = FinalString
end function

'-------------------------------------------------------------------------
